Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements
Interface DesignChoiceConstants

    public interface DesignChoiceConstants

This class collects commonly-used choice constants. These constants define the internal value of choices for several property choice constants.

See Also:
  `ReportDesignConstants`

Field Summary
`static java.lang.String` | `ACCESS_PERMISSION_ALLOW`
`static java.lang.String` | `ACCESS_PERMISSION_DISALLOW`
`static java.lang.String` | `ACCESS_TYPE_LATEST`
`static java.lang.String` | `ACCESS_TYPE_SPECIFIC_VERSION`
`static java.lang.String` | `ACCESS_TYPE_TRANSIENT`
`static java.lang.String` | `ACTION_BOOKMARK_TYPE_BOOKMARK`
`static java.lang.String` | `ACTION_BOOKMARK_TYPE_TOC`
`static java.lang.String` | `ACTION_FORMAT_TYPE_HTML`
`static java.lang.String` | `ACTION_FORMAT_TYPE_PDF`
`static java.lang.String` | `ACTION_LINK_TYPE_BOOKMARK_LINK`
`static java.lang.String` | `ACTION_LINK_TYPE_DRILL_THROUGH`
`static java.lang.String` | `ACTION_LINK_TYPE_HYPERLINK`
`static java.lang.String` | `ACTION_LINK_TYPE_NONE`
`static java.lang.String` | `ACTION_TARGET_FILE_TYPE_REPORT_DESIGN`
`static java.lang.String` | `ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT`
`static java.lang.String` | `AGGREGATION_FUNCTION_AVERAGE`
`static java.lang.String` | `AGGREGATION_FUNCTION_COUNT`
`static java.lang.String` | `AGGREGATION_FUNCTION_COUNTDISTINCT`
`static java.lang.String` | `AGGREGATION_FUNCTION_FIRST`
`static java.lang.String` | `AGGREGATION_FUNCTION_IRR`
`static java.lang.String` | `AGGREGATION_FUNCTION_IS_BOTTOM_N`
`static java.lang.String` | `AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT`
`static java.lang.String` | `AGGREGATION_FUNCTION_IS_TOP_N`
`static java.lang.String` | `AGGREGATION_FUNCTION_IS_TOP_N_PERCENT`
`static java.lang.String` | `AGGREGATION_FUNCTION_LAST`
`static java.lang.String` | `AGGREGATION_FUNCTION_MAX`
`static java.lang.String` | `AGGREGATION_FUNCTION_MEDIAN`
`static java.lang.String` | `AGGREGATION_FUNCTION_MIN`
`static java.lang.String` | `AGGREGATION_FUNCTION_MIRR`
`static java.lang.String` | `AGGREGATION_FUNCTION_MODE`
`static java.lang.String` | `AGGREGATION_FUNCTION_MOVINGAVE`
`static java.lang.String` | `AGGREGATION_FUNCTION_NPV`
`static java.lang.String` | `AGGREGATION_FUNCTION_PERCENT_RANK`
`static java.lang.String` | `AGGREGATION_FUNCTION_PERCENT_SUM`
`static java.lang.String` | `AGGREGATION_FUNCTION_PERCENTILE`
`static java.lang.String` | `AGGREGATION_FUNCTION_RANK`
`static java.lang.String` | `AGGREGATION_FUNCTION_RUNNINGCOUNT`
`static java.lang.String` | `AGGREGATION_FUNCTION_RUNNINGNPV`
`static java.lang.String` | `AGGREGATION_FUNCTION_RUNNINGSUM`
`static java.lang.String` | `AGGREGATION_FUNCTION_STDDEV`
`static java.lang.String` | `AGGREGATION_FUNCTION_SUM`
`static java.lang.String` | `AGGREGATION_FUNCTION_TOP_QUARTILE`
`static java.lang.String` | `AGGREGATION_FUNCTION_VARIANCE`
`static java.lang.String` | `AGGREGATION_FUNCTION_WEIGHTEDAVG`
`static java.lang.String` | `ANALYSIS_TYPE_ATTRIBUTE`
`static java.lang.String` | `ANALYSIS_TYPE_AUTO` Deprecated. in 2.5.1: this choice is not supported
`static java.lang.String` | `ANALYSIS_TYPE_DETAIL` Deprecated. in 2.5.1: this choice is not supported
`static java.lang.String` | `ANALYSIS_TYPE_DIMENSION`
`static java.lang.String` | `ANALYSIS_TYPE_MEASURE`
`static java.lang.String` | `ANALYSIS_TYPE_NONE` Deprecated. in 2.5.1: this choice is not supported
`static java.lang.String` | `AUTO_TEXT_PAGE_NUMBER`
`static java.lang.String` | `AUTO_TEXT_PAGE_NUMBER_UNFILTERED`
`static java.lang.String` | `AUTO_TEXT_PAGE_VARIABLE`
`static java.lang.String` | `AUTO_TEXT_TOTAL_PAGE`
`static java.lang.String` | `AUTO_TEXT_TOTAL_PAGE_UNFILTERED`
`static java.lang.String` | `BACKGROUND_ATTACHMENT_FIXED`
`static java.lang.String` | `BACKGROUND_ATTACHMENT_SCROLL`
`static java.lang.String` | `BACKGROUND_POSITION_BOTTOM`
`static java.lang.String` | `BACKGROUND_POSITION_CENTER`
`static java.lang.String` | `BACKGROUND_POSITION_LEFT`
`static java.lang.String` | `BACKGROUND_POSITION_RIGHT`
`static java.lang.String` | `BACKGROUND_POSITION_TOP`
`static java.lang.String` | `BACKGROUND_REPEAT_NO_REPEAT`
`static java.lang.String` | `BACKGROUND_REPEAT_REPEAT`
`static java.lang.String` | `BACKGROUND_REPEAT_REPEAT_X`
`static java.lang.String` | `BACKGROUND_REPEAT_REPEAT_Y`
`static java.lang.String` | `BACKGROUND_SIZE_AUTO`
`static java.lang.String` | `BACKGROUND_SIZE_CONTAIN`
`static java.lang.String` | `BACKGROUND_SIZE_COVER`
`static java.lang.String` | `BIDI_DIRECTION_LTR`
`static java.lang.String` | `BIDI_DIRECTION_RTL`
`static java.lang.String` | `CHOICE_ACCESS_PERMISSION` measure Function -- measure function type.
`static java.lang.String` | `CHOICE_ACCESS_TYPE` Choice constants for access type.
`static java.lang.String` | `CHOICE_ACTION_BOOKMARK_TYPE` actionBookmarkType -- target bookmark type
`static java.lang.String` | `CHOICE_ACTION_FORMAT_TYPE`
`static java.lang.String` | `CHOICE_ACTION_LINK_TYPE`
`static java.lang.String` | `CHOICE_ACTION_TARGET_FILE_TYPE` actionTargetFileType -- target type of the linked file
`static java.lang.String` | `CHOICE_AGGREGATION_FUNCTION` measure Function -- measure function type.
`static java.lang.String` | `CHOICE_ANALYSIS_TYPE` analysisType -- The analysis type for column hint The first constant is the name of analysisType choice.
`static java.lang.String` | `CHOICE_AUTO_TEXT_TYPE` autotextType -- type of auto text
`static java.lang.String` | `CHOICE_BACKGROUND_ATTACHMENT`
`static java.lang.String` | `CHOICE_BACKGROUND_POSITION_X`
`static java.lang.String` | `CHOICE_BACKGROUND_POSITION_Y`
`static java.lang.String` | `CHOICE_BACKGROUND_REPEAT`
`static java.lang.String` | `CHOICE_BACKGROUND_SIZE`
`static java.lang.String` | `CHOICE_BIDI_DIRECTION` Choice constants for direction and orientation
`static java.lang.String` | `CHOICE_COLUMN_ALIGN` columnAlign -- The column alignment The first constant is the name of columnAlign choice.
`static java.lang.String` | `CHOICE_COLUMN_DATA_TYPE`
`static java.lang.String` | `CHOICE_DATA_SELECTOR_TYPE` Choice constants for dataSelector type.
`static java.lang.String` | `CHOICE_DATA_SET_MODE_TYPE` dataSetMode -- the mode to support data sets.
`static java.lang.String` | `CHOICE_DATA_VERSION` Choice constants for dataVersion.
`static java.lang.String` | `CHOICE_DATE_FORMAT_TYPE` dateFormat choice.
`static java.lang.String` | `CHOICE_DATE_TIME_LEVEL_TYPE` Date time level type -- type for date-time cube level.
`static java.lang.String` | `CHOICE_DATETIME_FORMAT_TYPE` dateTimeFormat -- the date/time format The first constant is the name of dateTimeFormat choice.
`static java.lang.String` | `CHOICE_DISPLAY`
`static java.lang.String` | `CHOICE_DROP_TYPE`
`static java.lang.String` | `CHOICE_DYNAMIC_FILTER`
`static java.lang.String` | `CHOICE_EXPORT_TYPE` exportType -- The export type for column hint The first constant is the name of exportType choice.
`static java.lang.String` | `CHOICE_FILTER_CONDITION_TYPE`
`static java.lang.String` | `CHOICE_FILTER_OPERATOR` filterOperator -- The filter operator for filter condition The first constant is the name of filterOperator choice.
`static java.lang.String` | `CHOICE_FILTER_TARGET` filterTarget -- filter target type.
`static java.lang.String` | `CHOICE_FONT_FAMILY`
`static java.lang.String` | `CHOICE_FONT_SIZE`
`static java.lang.String` | `CHOICE_FONT_STYLE`
`static java.lang.String` | `CHOICE_FONT_VARIANT`
`static java.lang.String` | `CHOICE_FONT_WEIGHT`
`static java.lang.String` | `CHOICE_FORMAT_TYPE` FormatType -- The target output format.
`static java.lang.String` | `CHOICE_GADGET_CONTENT_TYPE`
`static java.lang.String` | `CHOICE_HTML_GADGET_CONTENT_TYPE` Deprecated. Use `CHOICE_GADGET_CONTENT_TYPE` instead.
`static java.lang.String` | `CHOICE_IMAGE_REF_TYPE` ImageRefType -- The image reference type.
`static java.lang.String` | `CHOICE_IMAGE_SIZE`
`static java.lang.String` | `CHOICE_IMAGE_TYPE`
`static java.lang.String` | `CHOICE_INTERVAL`
`static java.lang.String` | `CHOICE_INTERVAL_TYPE`
`static java.lang.String` | `CHOICE_JOIN_OPERATOR` joinOperator -- join operator of join condition.
`static java.lang.String` | `CHOICE_JOIN_TYPE` joinType -- join type of join condition.
`static java.lang.String` | `CHOICE_LEVEL_TYPE` Level type constants.
`static java.lang.String` | `CHOICE_LINE_ORIENTATION`
`static java.lang.String` | `CHOICE_LINE_SPACING`
`static java.lang.String` | `CHOICE_LINE_STYLE`
`static java.lang.String` | `CHOICE_LINE_WIDTH`
`static java.lang.String` | `CHOICE_MAP_OPERATOR`
`static java.lang.String` | `CHOICE_MARGIN`
`static java.lang.String` | `CHOICE_MEASURE_FUNCTION` measure Function -- measure function type.
`static java.lang.String` | `CHOICE_NORMAL`
`static java.lang.String` | `CHOICE_NULL_VALUE_ORDERING_TYPE` Choice constants for nullValueOrderingType.
`static java.lang.String` | `CHOICE_NULLS_ORDERING` Choice constants for nullsOrdering.
`static java.lang.String` | `CHOICE_NUMBER_FORMAT_TYPE` numberFormat -- the number format The first constant is the name of numberFormat choice.
`static java.lang.String` | `CHOICE_OPRHANS`
`static java.lang.String` | `CHOICE_OVERFLOW` Choice constants for overflow.
`static java.lang.String` | `CHOICE_PAGE_BREAK_AFTER`
`static java.lang.String` | `CHOICE_PAGE_BREAK_BEFORE`
`static java.lang.String` | `CHOICE_PAGE_BREAK_INSIDE`
`static java.lang.String` | `CHOICE_PAGE_ORIENTATION`
`static java.lang.String` | `CHOICE_PAGE_SIZE`
`static java.lang.String` | `CHOICE_PARAM_CONTROL`
`static java.lang.String` | `CHOICE_PARAM_SORT_VALUES` Parameter sort values -- can be value or display text.
`static java.lang.String` | `CHOICE_PARAM_TYPE`
`static java.lang.String` | `CHOICE_PARAM_VALUE_TYPE`
`static java.lang.String` | `CHOICE_PROPERTY_MASK_TYPE` propertyMaskType -- The choice for the property mask.
`static java.lang.String` | `CHOICE_QUERY_CHOICE_TYPE` queryFrom -- Where the query is from The first constant is the name of queryFrom choice.
`static java.lang.String` | `CHOICE_REPORT_ITEM_THEME_TYPE` Choice constants for reportItemThemeType.
`static java.lang.String` | `CHOICE_REPORT_LAYOUT_PREFERENCE` Report layout preference -- layout type for report design.
`static java.lang.String` | `CHOICE_SCALAR_PARAM_ALIGN` scalarParamAlign -- The choice for the scalarParamter alignment.
`static java.lang.String` | `CHOICE_SCALAR_PARAM_TYPE` Scalar parameter type.
`static java.lang.String` | `CHOICE_SCOPE_TYPE` Choice constants for scope type.
`static java.lang.String` | `CHOICE_SEARCH_TYPE` searchType -- The search type for column hint The first constant is the name of searchType choice.
`static java.lang.String` | `CHOICE_SECTION_ALIGN`
`static java.lang.String` | `CHOICE_SORT_DIRECTION`
`static java.lang.String` | `CHOICE_SORT_TYPE` sortType -- the sort type.
`static java.lang.String` | `CHOICE_STRING_FORMAT_TYPE` stringFormat -- the string format The first constant is the name of stringFormat choice.
`static java.lang.String` | `CHOICE_TARGET_NAMES_TYPE`
`static java.lang.String` | `CHOICE_TEMPLATE_ELEMENT_TYPE` templateElementType -- the template element type The first constant is the name of the templateElementType choice set.
`static java.lang.String` | `CHOICE_TEXT_ALIGN`
`static java.lang.String` | `CHOICE_TEXT_CONTENT_TYPE`
`static java.lang.String` | `CHOICE_TEXT_DATA_CONTENT_TYPE`
`static java.lang.String` | `CHOICE_TEXT_LINE_THROUGH`
`static java.lang.String` | `CHOICE_TEXT_OVERLINE`
`static java.lang.String` | `CHOICE_TEXT_UNDERLINE`
`static java.lang.String` | `CHOICE_THUMB_TYPE` Choice constants for thumb type.
`static java.lang.String` | `CHOICE_TIME_FORMAT_TYPE` timeFormat choice
`static java.lang.String` | `CHOICE_TRANSFORM`
`static java.lang.String` | `CHOICE_UNITS`
`static java.lang.String` | `CHOICE_VARIABLE_TYPE` Choice constants for workMode.
`static java.lang.String` | `CHOICE_VERTICAL_ALIGN`
`static java.lang.String` | `CHOICE_VIEW_ACTION` View action --view action type.
`static java.lang.String` | `CHOICE_WHITE_SPACE`
`static java.lang.String` | `CHOICE_WIDOWS`
`static java.lang.String` | `CHOICE_WINDOW_STATUS`
`static java.lang.String` | `COLUMN_ALIGN_CENTER`
`static java.lang.String` | `COLUMN_ALIGN_LEFT`
`static java.lang.String` | `COLUMN_ALIGN_RIGHT`
`static java.lang.String` | `COLUMN_DATA_TYPE_ANY` Deprecated. this choice is removed since 2.3
`static java.lang.String` | `COLUMN_DATA_TYPE_BLOB`
`static java.lang.String` | `COLUMN_DATA_TYPE_BOOLEAN`
`static java.lang.String` | `COLUMN_DATA_TYPE_DATE`
`static java.lang.String` | `COLUMN_DATA_TYPE_DATETIME`
`static java.lang.String` | `COLUMN_DATA_TYPE_DECIMAL`
`static java.lang.String` | `COLUMN_DATA_TYPE_FLOAT`
`static java.lang.String` | `COLUMN_DATA_TYPE_INTEGER`
`static java.lang.String` | `COLUMN_DATA_TYPE_JAVA_OBJECT`
`static java.lang.String` | `COLUMN_DATA_TYPE_STRING`
`static java.lang.String` | `COLUMN_DATA_TYPE_TIME`
`static java.lang.String` | `DATA_SELECTOR_TYPE_CALENDAR`
`static java.lang.String` | `DATA_SELECTOR_TYPE_CHECK_BOX`
`static java.lang.String` | `DATA_SELECTOR_TYPE_CURRENT_SELECTIONS`
`static java.lang.String` | `DATA_SELECTOR_TYPE_DROPDOWN`
`static java.lang.String` | `DATA_SELECTOR_TYPE_LIST`
`static java.lang.String` | `DATA_SELECTOR_TYPE_RADIO_BUTTON`
`static java.lang.String` | `DATA_SELECTOR_TYPE_SLIDER`
`static java.lang.String` | `DATA_SELECTOR_TYPE_TEXT_BOX`
`static java.lang.String` | `DATA_SET_MODE_MULTIPLE`
`static java.lang.String` | `DATA_SET_MODE_SINGLE`
`static java.lang.String` | `DATA_VERSION_LATEST`
`static java.lang.String` | `DATA_VERSION_TRANSIENT`
`static java.lang.String` | `DATE_FORMAT_TYPE_CUSTOM`
`static java.lang.String` | `DATE_FORMAT_TYPE_GENERAL_DATE`
`static java.lang.String` | `DATE_FORMAT_TYPE_LONG_DATE`
`static java.lang.String` | `DATE_FORMAT_TYPE_MUDIUM_DATE`
`static java.lang.String` | `DATE_FORMAT_TYPE_SHORT_DATE`
`static java.lang.String` | `DATE_FORMAT_TYPE_UNFORMATTED`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_DAY` Deprecated. This is replaced by DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR, DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH and DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK, and not used anymore.
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_HOUR`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_MINUTE`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_MONTH`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_QUARTER`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_SECOND`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_WEEK` Deprecated. This is replaced by DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR and DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH, and not used anymore.
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR`
`static java.lang.String` | `DATE_TIME_LEVEL_TYPE_YEAR`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_CUSTOM`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_GENERAL_DATE`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_LONG_DATE`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_LONG_TIME`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_MEDIUM_TIME`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_MUDIUM_DATE`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_SHORT_DATE`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_SHORT_TIME`
`static java.lang.String` | `DATETIEM_FORMAT_TYPE_UNFORMATTED`
`static java.lang.String` | `DISPLAY_BLOCK`
`static java.lang.String` | `DISPLAY_INLINE`
`static java.lang.String` | `DISPLAY_NONE`
`static java.lang.String` | `DROP_TYPE_ALL`
`static java.lang.String` | `DROP_TYPE_DETAIL`
`static java.lang.String` | `DROP_TYPE_NONE`
`static java.lang.String` | `DYNAMIC_FILTER_ADVANCED`
`static java.lang.String` | `DYNAMIC_FILTER_SIMPLE`
`static java.lang.String` | `EXPORT_TYPE_ALWAYS`
`static java.lang.String` | `EXPORT_TYPE_IF_REALIZED`
`static java.lang.String` | `EXPORT_TYPE_NONE`
`static java.lang.String` | `FILTER_CONDITION_TYPE_SIMPLE`
`static java.lang.String` | `FILTER_CONDITION_TYPE_SLICER`
`static java.lang.String` | `FILTER_OPERATOR_ANY` Deprecated. in BIRT 2.1. This operator is not supported.
`static java.lang.String` | `FILTER_OPERATOR_BETWEEN`
`static java.lang.String` | `FILTER_OPERATOR_BOTTOM_N`
`static java.lang.String` | `FILTER_OPERATOR_BOTTOM_PERCENT`
`static java.lang.String` | `FILTER_OPERATOR_EQ`
`static java.lang.String` | `FILTER_OPERATOR_FALSE`
`static java.lang.String` | `FILTER_OPERATOR_GE`
`static java.lang.String` | `FILTER_OPERATOR_GT`
`static java.lang.String` | `FILTER_OPERATOR_IN`
`static java.lang.String` | `FILTER_OPERATOR_LE`
`static java.lang.String` | `FILTER_OPERATOR_LIKE`
`static java.lang.String` | `FILTER_OPERATOR_LT`
`static java.lang.String` | `FILTER_OPERATOR_MATCH`
`static java.lang.String` | `FILTER_OPERATOR_NE`
`static java.lang.String` | `FILTER_OPERATOR_NOT_BETWEEN`
`static java.lang.String` | `FILTER_OPERATOR_NOT_IN`
`static java.lang.String` | `FILTER_OPERATOR_NOT_LIKE`
`static java.lang.String` | `FILTER_OPERATOR_NOT_MATCH`
`static java.lang.String` | `FILTER_OPERATOR_NOT_NULL`
`static java.lang.String` | `FILTER_OPERATOR_NULL`
`static java.lang.String` | `FILTER_OPERATOR_TOP_N`
`static java.lang.String` | `FILTER_OPERATOR_TOP_PERCENT`
`static java.lang.String` | `FILTER_OPERATOR_TRUE`
`static java.lang.String` | `FILTER_TARGET_DATA_SET`
`static java.lang.String` | `FILTER_TARGET_RESULT_SET`
`static java.lang.String` | `FONT_FAMILY_CURSIVE`
`static java.lang.String` | `FONT_FAMILY_FANTASY`
`static java.lang.String` | `FONT_FAMILY_MONOSPACE`
`static java.lang.String` | `FONT_FAMILY_SANS_SERIF`
`static java.lang.String` | `FONT_FAMILY_SERIF`
`static java.lang.String` | `FONT_SIZE_LARGE`
`static java.lang.String` | `FONT_SIZE_LARGER`
`static java.lang.String` | `FONT_SIZE_MEDIUM`
`static java.lang.String` | `FONT_SIZE_SMALL`
`static java.lang.String` | `FONT_SIZE_SMALLER`
`static java.lang.String` | `FONT_SIZE_X_LARGE`
`static java.lang.String` | `FONT_SIZE_X_SMALL`
`static java.lang.String` | `FONT_SIZE_XX_LARGE`
`static java.lang.String` | `FONT_SIZE_XX_SMALL`
`static java.lang.String` | `FONT_STYLE_ITALIC`
`static java.lang.String` | `FONT_STYLE_NORMAL`
`static java.lang.String` | `FONT_STYLE_OBLIQUE`
`static java.lang.String` | `FONT_VARIANT_NORMAL`
`static java.lang.String` | `FONT_VARIANT_SMALL_CAPS`
`static java.lang.String` | `FONT_WEIGHT_100`
`static java.lang.String` | `FONT_WEIGHT_200`
`static java.lang.String` | `FONT_WEIGHT_300`
`static java.lang.String` | `FONT_WEIGHT_400`
`static java.lang.String` | `FONT_WEIGHT_500`
`static java.lang.String` | `FONT_WEIGHT_600`
`static java.lang.String` | `FONT_WEIGHT_700`
`static java.lang.String` | `FONT_WEIGHT_800`
`static java.lang.String` | `FONT_WEIGHT_900`
`static java.lang.String` | `FONT_WEIGHT_BOLD`
`static java.lang.String` | `FONT_WEIGHT_BOLDER`
`static java.lang.String` | `FONT_WEIGHT_LIGHTER`
`static java.lang.String` | `FONT_WEIGHT_NORMAL`
`static java.lang.String` | `FORMAT_TYPE_ALL`
`static java.lang.String` | `FORMAT_TYPE_DOC`
`static java.lang.String` | `FORMAT_TYPE_EMAIL`
`static java.lang.String` | `FORMAT_TYPE_EXCEL`
`static java.lang.String` | `FORMAT_TYPE_PDF`
`static java.lang.String` | `FORMAT_TYPE_POWERPOINT`
`static java.lang.String` | `FORMAT_TYPE_PRINT`
`static java.lang.String` | `FORMAT_TYPE_REPORTLET`
`static java.lang.String` | `FORMAT_TYPE_RTF`
`static java.lang.String` | `FORMAT_TYPE_VIEWER`
`static java.lang.String` | `FORMAT_TYPE_WORD`
`static java.lang.String` | `GADGET_CONTENT_TYPE_HTML`
`static java.lang.String` | `GADGET_CONTENT_TYPE_IMAGE`
`static java.lang.String` | `GADGET_CONTENT_TYPE_TEXT`
`static java.lang.String` | `GADGET_CONTENT_TYPE_URL`
`static java.lang.String` | `GADGET_CONTENT_TYPE_VIDEO`
`static java.lang.String` | `GADGET_CONTENT_TYPE_VIDEOURL`
`static java.lang.String` | `HTML_GADGET_CONTENT_TYPE_HTML` Deprecated. Use `GADGET_CONTENT_TYPE_HTML` instead.
`static java.lang.String` | `HTML_GADGET_CONTENT_TYPE_URL` Deprecated. Use `GADGET_CONTENT_TYPE_URL` instead.
`static java.lang.String` | `IMAGE_REF_TYPE_EMBED`
`static java.lang.String` | `IMAGE_REF_TYPE_EXPR`
`static java.lang.String` | `IMAGE_REF_TYPE_FILE`
`static java.lang.String` | `IMAGE_REF_TYPE_NONE`
`static java.lang.String` | `IMAGE_REF_TYPE_URL`
`static java.lang.String` | `IMAGE_SIZE_CLIP`
`static java.lang.String` | `IMAGE_SIZE_SCALE_TO_ITEM`
`static java.lang.String` | `IMAGE_SIZE_SIZE_TO_IMAGE`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_BMP`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_GIF`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_ICO`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_JPEG`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_PNG`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_SVG`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_TIFF`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_X_ICON`
`static java.lang.String` | `IMAGE_TYPE_IMAGE_X_PNG`
`static java.lang.String` | `INTERVAL_DAY`
`static java.lang.String` | `INTERVAL_HOUR`
`static java.lang.String` | `INTERVAL_INTERVAL`
`static java.lang.String` | `INTERVAL_MINUTE`
`static java.lang.String` | `INTERVAL_MONTH`
`static java.lang.String` | `INTERVAL_NONE`
`static java.lang.String` | `INTERVAL_PREFIX`
`static java.lang.String` | `INTERVAL_QUARTER`
`static java.lang.String` | `INTERVAL_SECOND`
`static java.lang.String` | `INTERVAL_TYPE_INTERVAL`
`static java.lang.String` | `INTERVAL_TYPE_NONE`
`static java.lang.String` | `INTERVAL_TYPE_PREFIX`
`static java.lang.String` | `INTERVAL_WEEK`
`static java.lang.String` | `INTERVAL_YEAR`
`static java.lang.String` | `JOIN_OPERATOR_EQALS`
`static java.lang.String` | `JOIN_TYPE_FULL_OUT`
`static java.lang.String` | `JOIN_TYPE_INNER`
`static java.lang.String` | `JOIN_TYPE_LEFT_OUT`
`static java.lang.String` | `JOIN_TYPE_RIGHT_OUT`
`static java.lang.String` | `LEVEL_TYPE_DYNAMIC`
`static java.lang.String` | `LEVEL_TYPE_MIRRORED`
`static java.lang.String` | `LINE_ORIENTATION_HORIZONTAL`
`static java.lang.String` | `LINE_ORIENTATION_VERTICAL`
`static java.lang.String` | `LINE_SPACING_EXACT`
`static java.lang.String` | `LINE_SPACING_LINES`
`static java.lang.String` | `LINE_STYLE_DASHED`
`static java.lang.String` | `LINE_STYLE_DOTTED`
`static java.lang.String` | `LINE_STYLE_DOUBLE`
`static java.lang.String` | `LINE_STYLE_GROOVE`
`static java.lang.String` | `LINE_STYLE_INSET`
`static java.lang.String` | `LINE_STYLE_NONE`
`static java.lang.String` | `LINE_STYLE_OUTSET`
`static java.lang.String` | `LINE_STYLE_RIDGE`
`static java.lang.String` | `LINE_STYLE_SOLID`
`static java.lang.String` | `LINE_WIDTH_MEDIUM`
`static java.lang.String` | `LINE_WIDTH_THICK`
`static java.lang.String` | `LINE_WIDTH_THIN`
`static java.lang.String` | `MAP_OPERATOR_ANY`
`static java.lang.String` | `MAP_OPERATOR_BETWEEN`
`static java.lang.String` | `MAP_OPERATOR_BOTTOM_N`
`static java.lang.String` | `MAP_OPERATOR_BOTTOM_PERCENT`
`static java.lang.String` | `MAP_OPERATOR_EQ`
`static java.lang.String` | `MAP_OPERATOR_FALSE`
`static java.lang.String` | `MAP_OPERATOR_GE`
`static java.lang.String` | `MAP_OPERATOR_GT`
`static java.lang.String` | `MAP_OPERATOR_IN`
`static java.lang.String` | `MAP_OPERATOR_LE`
`static java.lang.String` | `MAP_OPERATOR_LIKE`
`static java.lang.String` | `MAP_OPERATOR_LT`
`static java.lang.String` | `MAP_OPERATOR_MATCH`
`static java.lang.String` | `MAP_OPERATOR_NE`
`static java.lang.String` | `MAP_OPERATOR_NOT_BETWEEN`
`static java.lang.String` | `MAP_OPERATOR_NOT_IN`
`static java.lang.String` | `MAP_OPERATOR_NOT_LIKE`
`static java.lang.String` | `MAP_OPERATOR_NOT_MATCH`
`static java.lang.String` | `MAP_OPERATOR_NOT_NULL`
`static java.lang.String` | `MAP_OPERATOR_NULL`
`static java.lang.String` | `MAP_OPERATOR_TOP_N`
`static java.lang.String` | `MAP_OPERATOR_TOP_PERCENT`
`static java.lang.String` | `MAP_OPERATOR_TRUE`
`static java.lang.String` | `MARGIN_AUTO`
`static java.lang.String` | `MEASURE_FUNCTION_AVERAGE`
`static java.lang.String` | `MEASURE_FUNCTION_COUNT`
`static java.lang.String` | `MEASURE_FUNCTION_COUNTDISTINCT`
`static java.lang.String` | `MEASURE_FUNCTION_FIRST`
`static java.lang.String` | `MEASURE_FUNCTION_IRR`
`static java.lang.String` | `MEASURE_FUNCTION_LAST`
`static java.lang.String` | `MEASURE_FUNCTION_MAX`
`static java.lang.String` | `MEASURE_FUNCTION_MEDIAN`
`static java.lang.String` | `MEASURE_FUNCTION_MIN`
`static java.lang.String` | `MEASURE_FUNCTION_MIRR`
`static java.lang.String` | `MEASURE_FUNCTION_MODE`
`static java.lang.String` | `MEASURE_FUNCTION_MOVINGAVE`
`static java.lang.String` | `MEASURE_FUNCTION_NPV`
`static java.lang.String` | `MEASURE_FUNCTION_RUNNINGCOUNT`
`static java.lang.String` | `MEASURE_FUNCTION_RUNNINGNPV`
`static java.lang.String` | `MEASURE_FUNCTION_RUNNINGSUM`
`static java.lang.String` | `MEASURE_FUNCTION_STDDEV`
`static java.lang.String` | `MEASURE_FUNCTION_SUM`
`static java.lang.String` | `MEASURE_FUNCTION_VARIANCE`
`static java.lang.String` | `MEASURE_FUNCTION_WEIGHTEDAVG`
`static java.lang.String` | `NORMAL_NORMAL`
`static java.lang.String` | `NULL_VALUE_ORDERING_TYPE_NULLISFIRST`
`static java.lang.String` | `NULL_VALUE_ORDERING_TYPE_NULLISLAST`
`static java.lang.String` | `NULL_VALUE_ORDERING_TYPE_UNKNOWN`
`static java.lang.String` | `NULLS_ORDERING_EXCLUDE_NULLS`
`static java.lang.String` | `NULLS_ORDERING_NULLS_HIGHEST`
`static java.lang.String` | `NULLS_ORDERING_NULLS_LOWEST`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_CURRENCY`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_CUSTOM`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_FIXED`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_PERCENT`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_SCIENTIFIC`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_STANDARD`
`static java.lang.String` | `NUMBER_FORMAT_TYPE_UNFORMATTED`
`static java.lang.String` | `ORPHANS_INHERIT`
`static java.lang.String` | `OVERFLOW_AUTO`
`static java.lang.String` | `OVERFLOW_HIDDEN`
`static java.lang.String` | `OVERFLOW_SCROLL`
`static java.lang.String` | `OVERFLOW_VISIBLE`
`static java.lang.String` | `PAGE_BREAK_AFTER_ALWAYS`
`static java.lang.String` | `PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST`
`static java.lang.String` | `PAGE_BREAK_AFTER_AUTO`
`static java.lang.String` | `PAGE_BREAK_AFTER_AVOID`
`static java.lang.String` | `PAGE_BREAK_BEFORE_ALWAYS`
`static java.lang.String` | `PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST`
`static java.lang.String` | `PAGE_BREAK_BEFORE_AUTO`
`static java.lang.String` | `PAGE_BREAK_BEFORE_AVOID`
`static java.lang.String` | `PAGE_BREAK_INSIDE_AUTO`
`static java.lang.String` | `PAGE_BREAK_INSIDE_AVOID`
`static java.lang.String` | `PAGE_ORIENTATION_AUTO`
`static java.lang.String` | `PAGE_ORIENTATION_LANDSCAPE`
`static java.lang.String` | `PAGE_ORIENTATION_PORTRAIT`
`static java.lang.String` | `PAGE_SIZE_A4`
`static java.lang.String` | `PAGE_SIZE_CUSTOM`
`static java.lang.String` | `PAGE_SIZE_US_LEGAL`
`static java.lang.String` | `PAGE_SIZE_US_LETTER`
`static java.lang.String` | `PARAM_CONTROL_AUTO_SUGGEST`
`static java.lang.String` | `PARAM_CONTROL_CHECK_BOX`
`static java.lang.String` | `PARAM_CONTROL_LIST_BOX`
`static java.lang.String` | `PARAM_CONTROL_RADIO_BUTTON`
`static java.lang.String` | `PARAM_CONTROL_TEXT_BOX`
`static java.lang.String` | `PARAM_SORT_VALUES_LABEL`
`static java.lang.String` | `PARAM_SORT_VALUES_VALUE`
`static java.lang.String` | `PARAM_TYPE_ANY` Deprecated. Now any is not supported.
`static java.lang.String` | `PARAM_TYPE_BOOLEAN`
`static java.lang.String` | `PARAM_TYPE_DATE`
`static java.lang.String` | `PARAM_TYPE_DATETIME`
`static java.lang.String` | `PARAM_TYPE_DECIMAL`
`static java.lang.String` | `PARAM_TYPE_FLOAT`
`static java.lang.String` | `PARAM_TYPE_INTEGER`
`static java.lang.String` | `PARAM_TYPE_JAVA_OBJECT`
`static java.lang.String` | `PARAM_TYPE_STRING`
`static java.lang.String` | `PARAM_TYPE_TIME`
`static java.lang.String` | `PARAM_VALUE_TYPE_DYNAMIC`
`static java.lang.String` | `PARAM_VALUE_TYPE_STATIC`
`static java.lang.String` | `PROPERTY_MASK_TYPE_CHANGE`
`static java.lang.String` | `PROPERTY_MASK_TYPE_HIDE`
`static java.lang.String` | `PROPERTY_MASK_TYPE_LOCK`
`static java.lang.String` | `QUERY_CHOICE_TYPE_NONE`
`static java.lang.String` | `QUERY_CHOICE_TYPE_SCRIPT`
`static java.lang.String` | `QUERY_CHOICE_TYPE_TEXT`
`static java.lang.String` | `REPORT_ITEM_THEME_TYPE_GRID`
`static java.lang.String` | `REPORT_ITEM_THEME_TYPE_LIST`
`static java.lang.String` | `REPORT_ITEM_THEME_TYPE_TABLE`
`static java.lang.String` | `REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT`
`static java.lang.String` | `REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT`
`static java.lang.String` | `SCALAR_PARAM_ALIGN_AUTO`
`static java.lang.String` | `SCALAR_PARAM_ALIGN_CENTER`
`static java.lang.String` | `SCALAR_PARAM_ALIGN_LEFT`
`static java.lang.String` | `SCALAR_PARAM_ALIGN_RIGHT`
`static java.lang.String` | `SCALAR_PARAM_TYPE_AD_HOC`
`static java.lang.String` | `SCALAR_PARAM_TYPE_MULTI_VALUE`
`static java.lang.String` | `SCALAR_PARAM_TYPE_SIMPLE`
`static java.lang.String` | `SCOPE_TYPE_COL`
`static java.lang.String` | `SCOPE_TYPE_COLGROUP`
`static java.lang.String` | `SCOPE_TYPE_ROW`
`static java.lang.String` | `SCOPE_TYPE_ROWGROUP`
`static java.lang.String` | `SEARCH_TYPE_ANY`
`static java.lang.String` | `SEARCH_TYPE_INDEXED`
`static java.lang.String` | `SEARCH_TYPE_NONE`
`static java.lang.String` | `SECTION_ALIGN_CENTER`
`static java.lang.String` | `SECTION_ALIGN_LEFT`
`static java.lang.String` | `SECTION_ALIGN_RIGHT`
`static java.lang.String` | `SORT_DIRECTION_ASC`
`static java.lang.String` | `SORT_DIRECTION_DESC`
`static java.lang.String` | `SORT_TYPE_COMPLEX_SORT`
`static java.lang.String` | `SORT_TYPE_NONE`
`static java.lang.String` | `SORT_TYPE_SORT_ON_GROUP_KEY`
`static java.lang.String` | `STRING_FORMAT_TYPE_CUSTOM`
`static java.lang.String` | `STRING_FORMAT_TYPE_LOWERCASE`
`static java.lang.String` | `STRING_FORMAT_TYPE_PHONE_NUMBER`
`static java.lang.String` | `STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`
`static java.lang.String` | `STRING_FORMAT_TYPE_UNFORMATTED`
`static java.lang.String` | `STRING_FORMAT_TYPE_UPPERCASE`
`static java.lang.String` | `STRING_FORMAT_TYPE_ZIP_CODE`
`static java.lang.String` | `STRING_FORMAT_TYPE_ZIP_CODE_4`
`static java.lang.String` | `TARGET_NAMES_TYPE_BLANK`
`static java.lang.String` | `TARGET_NAMES_TYPE_PARENT`
`static java.lang.String` | `TARGET_NAMES_TYPE_SELF`
`static java.lang.String` | `TARGET_NAMES_TYPE_TOP`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_DATA`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_DATA_SET`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_FREEFORM`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_GRID`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_IMAGE`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_LABEL`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_LIST`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_TABLE`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_TEXT`
`static java.lang.String` | `TEMPLATE_ELEMENT_TYPE_TEXT_DATA`
`static java.lang.String` | `TEXT_ALIGN_CENTER`
`static java.lang.String` | `TEXT_ALIGN_JUSTIFY`
`static java.lang.String` | `TEXT_ALIGN_LEFT`
`static java.lang.String` | `TEXT_ALIGN_RIGHT`
`static java.lang.String` | `TEXT_CONTENT_TYPE_AUTO`
`static java.lang.String` | `TEXT_CONTENT_TYPE_HTML`
`static java.lang.String` | `TEXT_CONTENT_TYPE_PLAIN`
`static java.lang.String` | `TEXT_CONTENT_TYPE_RTF`
`static java.lang.String` | `TEXT_DATA_CONTENT_TYPE_AUTO`
`static java.lang.String` | `TEXT_DATA_CONTENT_TYPE_HTML`
`static java.lang.String` | `TEXT_DATA_CONTENT_TYPE_PLAIN`
`static java.lang.String` | `TEXT_DATA_CONTENT_TYPE_RTF`
`static java.lang.String` | `TEXT_LINE_THROUGH_LINE_THROUGH`
`static java.lang.String` | `TEXT_LINE_THROUGH_NONE`
`static java.lang.String` | `TEXT_OVERLINE_NONE`
`static java.lang.String` | `TEXT_OVERLINE_OVERLINE`
`static java.lang.String` | `TEXT_UNDERLINE_NONE`
`static java.lang.String` | `TEXT_UNDERLINE_UNDERLINE`
`static java.lang.String` | `THUMB_TYPE_DUAL`
`static java.lang.String` | `THUMB_TYPE_SINGLE`
`static java.lang.String` | `TIME_FORMAT_TYPE_CUSTOM`
`static java.lang.String` | `TIME_FORMAT_TYPE_LONG_TIME`
`static java.lang.String` | `TIME_FORMAT_TYPE_MEDIUM_TIME`
`static java.lang.String` | `TIME_FORMAT_TYPE_SHORT_TIME`
`static java.lang.String` | `TRANSFORM_CAPITALIZE`
`static java.lang.String` | `TRANSFORM_LOWERCASE`
`static java.lang.String` | `TRANSFORM_NONE`
`static java.lang.String` | `TRANSFORM_UPPERCASE`
`static java.lang.String` | `UNITS_CM`
`static java.lang.String` | `UNITS_EM`
`static java.lang.String` | `UNITS_EX`
`static java.lang.String` | `UNITS_IN`
`static java.lang.String` | `UNITS_MM`
`static java.lang.String` | `UNITS_PC`
`static java.lang.String` | `UNITS_PERCENTAGE`
`static java.lang.String` | `UNITS_PT`
`static java.lang.String` | `UNITS_PX`
`static java.lang.String` | `VARIABLE_TYPE_PAGE`
`static java.lang.String` | `VARIABLE_TYPE_REPORT`
`static java.lang.String` | `VERTICAL_ALIGN_BASELINE` Deprecated. Now Engine is not support it.
`static java.lang.String` | `VERTICAL_ALIGN_BOTTOM`
`static java.lang.String` | `VERTICAL_ALIGN_MIDDLE`
`static java.lang.String` | `VERTICAL_ALIGN_SUB` Deprecated. Now Engine is not support it.
`static java.lang.String` | `VERTICAL_ALIGN_SUPER` Deprecated. Now Engine is not support it.
`static java.lang.String` | `VERTICAL_ALIGN_TEXT_BOTTOM` Deprecated. Now Engine is not support it.
`static java.lang.String` | `VERTICAL_ALIGN_TEXT_TOP` Deprecated. Now Engine is not support it.
`static java.lang.String` | `VERTICAL_ALIGN_TOP`
`static java.lang.String` | `VIEW_ACTION_ADDED`
`static java.lang.String` | `VIEW_ACTION_CHANGED`
`static java.lang.String` | `VIEW_ACTION_DELETED`
`static java.lang.String` | `VIEW_ACTION_NO_CHANGE`
`static java.lang.String` | `WHITE_SPACE_NORMAL`
`static java.lang.String` | `WHITE_SPACE_NOWRAP`
`static java.lang.String` | `WHITE_SPACE_PRE`
`static java.lang.String` | `WIDOWS_INHERIT`
`static java.lang.String` | `WINDOW_STATUS_MAXIMIZED`
`static java.lang.String` | `WINDOW_STATUS_NORMAL`

Field Detail

### CHOICE_FONT_FAMILY

    static final java.lang.String CHOICE_FONT_FAMILY

See Also:
  Constant Field Values

### FONT_FAMILY_SERIF

    static final java.lang.String FONT_FAMILY_SERIF

See Also:
  Constant Field Values

### FONT_FAMILY_SANS_SERIF

    static final java.lang.String FONT_FAMILY_SANS_SERIF

See Also:
  Constant Field Values

### FONT_FAMILY_CURSIVE

    static final java.lang.String FONT_FAMILY_CURSIVE

See Also:
  Constant Field Values

### FONT_FAMILY_FANTASY

    static final java.lang.String FONT_FAMILY_FANTASY

See Also:
  Constant Field Values

### FONT_FAMILY_MONOSPACE

    static final java.lang.String FONT_FAMILY_MONOSPACE

See Also:
  Constant Field Values

### CHOICE_FONT_STYLE

    static final java.lang.String CHOICE_FONT_STYLE

See Also:
  Constant Field Values

### FONT_STYLE_NORMAL

    static final java.lang.String FONT_STYLE_NORMAL

See Also:
  Constant Field Values

### FONT_STYLE_ITALIC

    static final java.lang.String FONT_STYLE_ITALIC

See Also:
  Constant Field Values

### FONT_STYLE_OBLIQUE

    static final java.lang.String FONT_STYLE_OBLIQUE

See Also:
  Constant Field Values

### CHOICE_FONT_WEIGHT

    static final java.lang.String CHOICE_FONT_WEIGHT

See Also:
  Constant Field Values

### FONT_WEIGHT_NORMAL

    static final java.lang.String FONT_WEIGHT_NORMAL

See Also:
  Constant Field Values

### FONT_WEIGHT_BOLD

    static final java.lang.String FONT_WEIGHT_BOLD

See Also:
  Constant Field Values

### FONT_WEIGHT_BOLDER

    static final java.lang.String FONT_WEIGHT_BOLDER

See Also:
  Constant Field Values

### FONT_WEIGHT_LIGHTER

    static final java.lang.String FONT_WEIGHT_LIGHTER

See Also:
  Constant Field Values

### FONT_WEIGHT_100

    static final java.lang.String FONT_WEIGHT_100

See Also:
  Constant Field Values

### FONT_WEIGHT_200

    static final java.lang.String FONT_WEIGHT_200

See Also:
  Constant Field Values

### FONT_WEIGHT_300

    static final java.lang.String FONT_WEIGHT_300

See Also:
  Constant Field Values

### FONT_WEIGHT_400

    static final java.lang.String FONT_WEIGHT_400

See Also:
  Constant Field Values

### FONT_WEIGHT_500

    static final java.lang.String FONT_WEIGHT_500

See Also:
  Constant Field Values

### FONT_WEIGHT_600

    static final java.lang.String FONT_WEIGHT_600

See Also:
  Constant Field Values

### FONT_WEIGHT_700

    static final java.lang.String FONT_WEIGHT_700

See Also:
  Constant Field Values

### FONT_WEIGHT_800

    static final java.lang.String FONT_WEIGHT_800

See Also:
  Constant Field Values

### FONT_WEIGHT_900

    static final java.lang.String FONT_WEIGHT_900

See Also:
  Constant Field Values

### CHOICE_FONT_SIZE

    static final java.lang.String CHOICE_FONT_SIZE

See Also:
  Constant Field Values

### FONT_SIZE_XX_SMALL

    static final java.lang.String FONT_SIZE_XX_SMALL

See Also:
  Constant Field Values

### FONT_SIZE_X_SMALL

    static final java.lang.String FONT_SIZE_X_SMALL

See Also:
  Constant Field Values

### FONT_SIZE_SMALL

    static final java.lang.String FONT_SIZE_SMALL

See Also:
  Constant Field Values

### FONT_SIZE_MEDIUM

    static final java.lang.String FONT_SIZE_MEDIUM

See Also:
  Constant Field Values

### FONT_SIZE_LARGE

    static final java.lang.String FONT_SIZE_LARGE

See Also:
  Constant Field Values

### FONT_SIZE_X_LARGE

    static final java.lang.String FONT_SIZE_X_LARGE

See Also:
  Constant Field Values

### FONT_SIZE_XX_LARGE

    static final java.lang.String FONT_SIZE_XX_LARGE

See Also:
  Constant Field Values

### FONT_SIZE_LARGER

    static final java.lang.String FONT_SIZE_LARGER

See Also:
  Constant Field Values

### FONT_SIZE_SMALLER

    static final java.lang.String FONT_SIZE_SMALLER

See Also:
  Constant Field Values

### CHOICE_FONT_VARIANT

    static final java.lang.String CHOICE_FONT_VARIANT

See Also:
  Constant Field Values

### FONT_VARIANT_NORMAL

    static final java.lang.String FONT_VARIANT_NORMAL

See Also:
  Constant Field Values

### FONT_VARIANT_SMALL_CAPS

    static final java.lang.String FONT_VARIANT_SMALL_CAPS

See Also:
  Constant Field Values

### CHOICE_BACKGROUND_REPEAT

    static final java.lang.String CHOICE_BACKGROUND_REPEAT

See Also:
  Constant Field Values

### BACKGROUND_REPEAT_REPEAT

    static final java.lang.String BACKGROUND_REPEAT_REPEAT

See Also:
  Constant Field Values

### BACKGROUND_REPEAT_REPEAT_X

    static final java.lang.String BACKGROUND_REPEAT_REPEAT_X

See Also:
  Constant Field Values

### BACKGROUND_REPEAT_REPEAT_Y

    static final java.lang.String BACKGROUND_REPEAT_REPEAT_Y

See Also:
  Constant Field Values

### BACKGROUND_REPEAT_NO_REPEAT

    static final java.lang.String BACKGROUND_REPEAT_NO_REPEAT

See Also:
  Constant Field Values

### CHOICE_BACKGROUND_ATTACHMENT

    static final java.lang.String CHOICE_BACKGROUND_ATTACHMENT

See Also:
  Constant Field Values

### BACKGROUND_ATTACHMENT_SCROLL

    static final java.lang.String BACKGROUND_ATTACHMENT_SCROLL

See Also:
  Constant Field Values

### BACKGROUND_ATTACHMENT_FIXED

    static final java.lang.String BACKGROUND_ATTACHMENT_FIXED

See Also:
  Constant Field Values

### CHOICE_BACKGROUND_POSITION_X

    static final java.lang.String CHOICE_BACKGROUND_POSITION_X

See Also:
  Constant Field Values

### BACKGROUND_POSITION_LEFT

    static final java.lang.String BACKGROUND_POSITION_LEFT

See Also:
  Constant Field Values

### BACKGROUND_POSITION_RIGHT

    static final java.lang.String BACKGROUND_POSITION_RIGHT

See Also:
  Constant Field Values

### BACKGROUND_POSITION_CENTER

    static final java.lang.String BACKGROUND_POSITION_CENTER

See Also:
  Constant Field Values

### CHOICE_BACKGROUND_POSITION_Y

    static final java.lang.String CHOICE_BACKGROUND_POSITION_Y

See Also:
  Constant Field Values

### BACKGROUND_POSITION_TOP

    static final java.lang.String BACKGROUND_POSITION_TOP

See Also:
  Constant Field Values

### BACKGROUND_POSITION_BOTTOM

    static final java.lang.String BACKGROUND_POSITION_BOTTOM

See Also:
  Constant Field Values

### CHOICE_BACKGROUND_SIZE

    static final java.lang.String CHOICE_BACKGROUND_SIZE

See Also:
  Constant Field Values

### BACKGROUND_SIZE_AUTO

    static final java.lang.String BACKGROUND_SIZE_AUTO

See Also:
  Constant Field Values

### BACKGROUND_SIZE_CONTAIN

    static final java.lang.String BACKGROUND_SIZE_CONTAIN

See Also:
  Constant Field Values

### BACKGROUND_SIZE_COVER

    static final java.lang.String BACKGROUND_SIZE_COVER

See Also:
  Constant Field Values

### CHOICE_TRANSFORM

    static final java.lang.String CHOICE_TRANSFORM

See Also:
  Constant Field Values

### TRANSFORM_CAPITALIZE

    static final java.lang.String TRANSFORM_CAPITALIZE

See Also:
  Constant Field Values

### TRANSFORM_UPPERCASE

    static final java.lang.String TRANSFORM_UPPERCASE

See Also:
  Constant Field Values

### TRANSFORM_LOWERCASE

    static final java.lang.String TRANSFORM_LOWERCASE

See Also:
  Constant Field Values

### TRANSFORM_NONE

    static final java.lang.String TRANSFORM_NONE

See Also:
  Constant Field Values

### CHOICE_NORMAL

    static final java.lang.String CHOICE_NORMAL

See Also:
  Constant Field Values

### NORMAL_NORMAL

    static final java.lang.String NORMAL_NORMAL

See Also:
  Constant Field Values

### CHOICE_VERTICAL_ALIGN

    static final java.lang.String CHOICE_VERTICAL_ALIGN

See Also:
  Constant Field Values

### VERTICAL_ALIGN_BASELINE

    static final java.lang.String VERTICAL_ALIGN_BASELINE

  Deprecated. Now Engine is not support it.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_SUB

    static final java.lang.String VERTICAL_ALIGN_SUB

  Deprecated. Now Engine is not support it.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_SUPER

    static final java.lang.String VERTICAL_ALIGN_SUPER

  Deprecated. Now Engine is not support it.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_TOP

    static final java.lang.String VERTICAL_ALIGN_TOP

See Also:
  Constant Field Values

### VERTICAL_ALIGN_TEXT_TOP

    static final java.lang.String VERTICAL_ALIGN_TEXT_TOP

  Deprecated. Now Engine is not support it.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_MIDDLE

    static final java.lang.String VERTICAL_ALIGN_MIDDLE

See Also:
  Constant Field Values

### VERTICAL_ALIGN_BOTTOM

    static final java.lang.String VERTICAL_ALIGN_BOTTOM

See Also:
  Constant Field Values

### VERTICAL_ALIGN_TEXT_BOTTOM

    static final java.lang.String VERTICAL_ALIGN_TEXT_BOTTOM

  Deprecated. Now Engine is not support it.
  See Also:
    Constant Field Values

### CHOICE_WHITE_SPACE

    static final java.lang.String CHOICE_WHITE_SPACE

See Also:
  Constant Field Values

### WHITE_SPACE_NORMAL

    static final java.lang.String WHITE_SPACE_NORMAL

See Also:
  Constant Field Values

### WHITE_SPACE_PRE

    static final java.lang.String WHITE_SPACE_PRE

See Also:
  Constant Field Values

### WHITE_SPACE_NOWRAP

    static final java.lang.String WHITE_SPACE_NOWRAP

See Also:
  Constant Field Values

### CHOICE_DISPLAY

    static final java.lang.String CHOICE_DISPLAY

See Also:
  Constant Field Values

### DISPLAY_BLOCK

    static final java.lang.String DISPLAY_BLOCK

See Also:
  Constant Field Values

### DISPLAY_INLINE

    static final java.lang.String DISPLAY_INLINE

See Also:
  Constant Field Values

### DISPLAY_NONE

    static final java.lang.String DISPLAY_NONE

See Also:
  Constant Field Values

### CHOICE_PAGE_BREAK_AFTER

    static final java.lang.String CHOICE_PAGE_BREAK_AFTER

See Also:
  Constant Field Values

### PAGE_BREAK_AFTER_AUTO

    static final java.lang.String PAGE_BREAK_AFTER_AUTO

See Also:
  Constant Field Values

### PAGE_BREAK_AFTER_ALWAYS

    static final java.lang.String PAGE_BREAK_AFTER_ALWAYS

See Also:
  Constant Field Values

### PAGE_BREAK_AFTER_AVOID

    static final java.lang.String PAGE_BREAK_AFTER_AVOID

See Also:
  Constant Field Values

### PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST

    static final java.lang.String PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST

See Also:
  Constant Field Values

### CHOICE_PAGE_BREAK_BEFORE

    static final java.lang.String CHOICE_PAGE_BREAK_BEFORE

See Also:
  Constant Field Values

### PAGE_BREAK_BEFORE_AUTO

    static final java.lang.String PAGE_BREAK_BEFORE_AUTO

See Also:
  Constant Field Values

### PAGE_BREAK_BEFORE_ALWAYS

    static final java.lang.String PAGE_BREAK_BEFORE_ALWAYS

See Also:
  Constant Field Values

### PAGE_BREAK_BEFORE_AVOID

    static final java.lang.String PAGE_BREAK_BEFORE_AVOID

See Also:
  Constant Field Values

### PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST

    static final java.lang.String PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST

See Also:
  Constant Field Values

### CHOICE_PAGE_BREAK_INSIDE

    static final java.lang.String CHOICE_PAGE_BREAK_INSIDE

See Also:
  Constant Field Values

### PAGE_BREAK_INSIDE_AVOID

    static final java.lang.String PAGE_BREAK_INSIDE_AVOID

See Also:
  Constant Field Values

### PAGE_BREAK_INSIDE_AUTO

    static final java.lang.String PAGE_BREAK_INSIDE_AUTO

See Also:
  Constant Field Values

### CHOICE_MARGIN

    static final java.lang.String CHOICE_MARGIN

See Also:
  Constant Field Values

### MARGIN_AUTO

    static final java.lang.String MARGIN_AUTO

See Also:
  Constant Field Values

### CHOICE_TEXT_UNDERLINE

    static final java.lang.String CHOICE_TEXT_UNDERLINE

See Also:
  Constant Field Values

### TEXT_UNDERLINE_NONE

    static final java.lang.String TEXT_UNDERLINE_NONE

See Also:
  Constant Field Values

### TEXT_UNDERLINE_UNDERLINE

    static final java.lang.String TEXT_UNDERLINE_UNDERLINE

See Also:
  Constant Field Values

### CHOICE_TEXT_OVERLINE

    static final java.lang.String CHOICE_TEXT_OVERLINE

See Also:
  Constant Field Values

### TEXT_OVERLINE_NONE

    static final java.lang.String TEXT_OVERLINE_NONE

See Also:
  Constant Field Values

### TEXT_OVERLINE_OVERLINE

    static final java.lang.String TEXT_OVERLINE_OVERLINE

See Also:
  Constant Field Values

### CHOICE_TEXT_LINE_THROUGH

    static final java.lang.String CHOICE_TEXT_LINE_THROUGH

See Also:
  Constant Field Values

### TEXT_LINE_THROUGH_NONE

    static final java.lang.String TEXT_LINE_THROUGH_NONE

See Also:
  Constant Field Values

### TEXT_LINE_THROUGH_LINE_THROUGH

    static final java.lang.String TEXT_LINE_THROUGH_LINE_THROUGH

See Also:
  Constant Field Values

### CHOICE_LINE_WIDTH

    static final java.lang.String CHOICE_LINE_WIDTH

See Also:
  Constant Field Values

### LINE_WIDTH_THIN

    static final java.lang.String LINE_WIDTH_THIN

See Also:
  Constant Field Values

### LINE_WIDTH_MEDIUM

    static final java.lang.String LINE_WIDTH_MEDIUM

See Also:
  Constant Field Values

### LINE_WIDTH_THICK

    static final java.lang.String LINE_WIDTH_THICK

See Also:
  Constant Field Values

### CHOICE_LINE_STYLE

    static final java.lang.String CHOICE_LINE_STYLE

See Also:
  Constant Field Values

### LINE_STYLE_NONE

    static final java.lang.String LINE_STYLE_NONE

See Also:
  Constant Field Values

### LINE_STYLE_SOLID

    static final java.lang.String LINE_STYLE_SOLID

See Also:
  Constant Field Values

### LINE_STYLE_DOTTED

    static final java.lang.String LINE_STYLE_DOTTED

See Also:
  Constant Field Values

### LINE_STYLE_DASHED

    static final java.lang.String LINE_STYLE_DASHED

See Also:
  Constant Field Values

### LINE_STYLE_DOUBLE

    static final java.lang.String LINE_STYLE_DOUBLE

See Also:
  Constant Field Values

### LINE_STYLE_GROOVE

    static final java.lang.String LINE_STYLE_GROOVE

See Also:
  Constant Field Values

### LINE_STYLE_RIDGE

    static final java.lang.String LINE_STYLE_RIDGE

See Also:
  Constant Field Values

### LINE_STYLE_INSET

    static final java.lang.String LINE_STYLE_INSET

See Also:
  Constant Field Values

### LINE_STYLE_OUTSET

    static final java.lang.String LINE_STYLE_OUTSET

See Also:
  Constant Field Values

### CHOICE_UNITS

    static final java.lang.String CHOICE_UNITS

See Also:
  Constant Field Values

### UNITS_IN

    static final java.lang.String UNITS_IN

See Also:
  Constant Field Values

### UNITS_CM

    static final java.lang.String UNITS_CM

See Also:
  Constant Field Values

### UNITS_MM

    static final java.lang.String UNITS_MM

See Also:
  Constant Field Values

### UNITS_PT

    static final java.lang.String UNITS_PT

See Also:
  Constant Field Values

### UNITS_PC

    static final java.lang.String UNITS_PC

See Also:
  Constant Field Values

### UNITS_EM

    static final java.lang.String UNITS_EM

See Also:
  Constant Field Values

### UNITS_EX

    static final java.lang.String UNITS_EX

See Also:
  Constant Field Values

### UNITS_PX

    static final java.lang.String UNITS_PX

See Also:
  Constant Field Values

### UNITS_PERCENTAGE

    static final java.lang.String UNITS_PERCENTAGE

See Also:
  Constant Field Values

### CHOICE_PARAM_TYPE

    static final java.lang.String CHOICE_PARAM_TYPE

See Also:
  Constant Field Values

### PARAM_TYPE_STRING

    static final java.lang.String PARAM_TYPE_STRING

See Also:
  Constant Field Values

### PARAM_TYPE_FLOAT

    static final java.lang.String PARAM_TYPE_FLOAT

See Also:
  Constant Field Values

### PARAM_TYPE_DECIMAL

    static final java.lang.String PARAM_TYPE_DECIMAL

See Also:
  Constant Field Values

### PARAM_TYPE_DATETIME

    static final java.lang.String PARAM_TYPE_DATETIME

See Also:
  Constant Field Values

### PARAM_TYPE_BOOLEAN

    static final java.lang.String PARAM_TYPE_BOOLEAN

See Also:
  Constant Field Values

### PARAM_TYPE_INTEGER

    static final java.lang.String PARAM_TYPE_INTEGER

See Also:
  Constant Field Values

### PARAM_TYPE_JAVA_OBJECT

    static final java.lang.String PARAM_TYPE_JAVA_OBJECT

See Also:
  Constant Field Values

### PARAM_TYPE_ANY

    static final java.lang.String PARAM_TYPE_ANY

  Deprecated. Now any is not supported.
  See Also:
    Constant Field Values

### PARAM_TYPE_DATE

    static final java.lang.String PARAM_TYPE_DATE

See Also:
  Constant Field Values

### PARAM_TYPE_TIME

    static final java.lang.String PARAM_TYPE_TIME

See Also:
  Constant Field Values

### CHOICE_PARAM_VALUE_TYPE

    static final java.lang.String CHOICE_PARAM_VALUE_TYPE

See Also:
  Constant Field Values

### PARAM_VALUE_TYPE_STATIC

    static final java.lang.String PARAM_VALUE_TYPE_STATIC

See Also:
  Constant Field Values

### PARAM_VALUE_TYPE_DYNAMIC

    static final java.lang.String PARAM_VALUE_TYPE_DYNAMIC

See Also:
  Constant Field Values

### CHOICE_PARAM_CONTROL

    static final java.lang.String CHOICE_PARAM_CONTROL

See Also:
  Constant Field Values

### PARAM_CONTROL_TEXT_BOX

    static final java.lang.String PARAM_CONTROL_TEXT_BOX

See Also:
  Constant Field Values

### PARAM_CONTROL_LIST_BOX

    static final java.lang.String PARAM_CONTROL_LIST_BOX

See Also:
  Constant Field Values

### PARAM_CONTROL_RADIO_BUTTON

    static final java.lang.String PARAM_CONTROL_RADIO_BUTTON

See Also:
  Constant Field Values

### PARAM_CONTROL_CHECK_BOX

    static final java.lang.String PARAM_CONTROL_CHECK_BOX

See Also:
  Constant Field Values

### PARAM_CONTROL_AUTO_SUGGEST

    static final java.lang.String PARAM_CONTROL_AUTO_SUGGEST

See Also:
  Constant Field Values

### CHOICE_TEXT_ALIGN

    static final java.lang.String CHOICE_TEXT_ALIGN

See Also:
  Constant Field Values

### TEXT_ALIGN_LEFT

    static final java.lang.String TEXT_ALIGN_LEFT

See Also:
  Constant Field Values

### TEXT_ALIGN_CENTER

    static final java.lang.String TEXT_ALIGN_CENTER

See Also:
  Constant Field Values

### TEXT_ALIGN_RIGHT

    static final java.lang.String TEXT_ALIGN_RIGHT

See Also:
  Constant Field Values

### TEXT_ALIGN_JUSTIFY

    static final java.lang.String TEXT_ALIGN_JUSTIFY

See Also:
  Constant Field Values

### CHOICE_PAGE_SIZE

    static final java.lang.String CHOICE_PAGE_SIZE

See Also:
  Constant Field Values

### PAGE_SIZE_CUSTOM

    static final java.lang.String PAGE_SIZE_CUSTOM

See Also:
  Constant Field Values

### PAGE_SIZE_US_LETTER

    static final java.lang.String PAGE_SIZE_US_LETTER

See Also:
  Constant Field Values

### PAGE_SIZE_US_LEGAL

    static final java.lang.String PAGE_SIZE_US_LEGAL

See Also:
  Constant Field Values

### PAGE_SIZE_A4

    static final java.lang.String PAGE_SIZE_A4

See Also:
  Constant Field Values

### CHOICE_PAGE_ORIENTATION

    static final java.lang.String CHOICE_PAGE_ORIENTATION

See Also:
  Constant Field Values

### PAGE_ORIENTATION_AUTO

    static final java.lang.String PAGE_ORIENTATION_AUTO

See Also:
  Constant Field Values

### PAGE_ORIENTATION_PORTRAIT

    static final java.lang.String PAGE_ORIENTATION_PORTRAIT

See Also:
  Constant Field Values

### PAGE_ORIENTATION_LANDSCAPE

    static final java.lang.String PAGE_ORIENTATION_LANDSCAPE

See Also:
  Constant Field Values

### CHOICE_INTERVAL

    static final java.lang.String CHOICE_INTERVAL

See Also:
  Constant Field Values

### INTERVAL_NONE

    static final java.lang.String INTERVAL_NONE

See Also:
  Constant Field Values

### INTERVAL_PREFIX

    static final java.lang.String INTERVAL_PREFIX

See Also:
  Constant Field Values

### INTERVAL_YEAR

    static final java.lang.String INTERVAL_YEAR

See Also:
  Constant Field Values

### INTERVAL_QUARTER

    static final java.lang.String INTERVAL_QUARTER

See Also:
  Constant Field Values

### INTERVAL_MONTH

    static final java.lang.String INTERVAL_MONTH

See Also:
  Constant Field Values

### INTERVAL_WEEK

    static final java.lang.String INTERVAL_WEEK

See Also:
  Constant Field Values

### INTERVAL_DAY

    static final java.lang.String INTERVAL_DAY

See Also:
  Constant Field Values

### INTERVAL_HOUR

    static final java.lang.String INTERVAL_HOUR

See Also:
  Constant Field Values

### INTERVAL_MINUTE

    static final java.lang.String INTERVAL_MINUTE

See Also:
  Constant Field Values

### INTERVAL_SECOND

    static final java.lang.String INTERVAL_SECOND

See Also:
  Constant Field Values

### INTERVAL_INTERVAL

    static final java.lang.String INTERVAL_INTERVAL

See Also:
  Constant Field Values

### CHOICE_INTERVAL_TYPE

    static final java.lang.String CHOICE_INTERVAL_TYPE

See Also:
  Constant Field Values

### INTERVAL_TYPE_NONE

    static final java.lang.String INTERVAL_TYPE_NONE

See Also:
  Constant Field Values

### INTERVAL_TYPE_PREFIX

    static final java.lang.String INTERVAL_TYPE_PREFIX

See Also:
  Constant Field Values

### INTERVAL_TYPE_INTERVAL

    static final java.lang.String INTERVAL_TYPE_INTERVAL

See Also:
  Constant Field Values

### CHOICE_SORT_DIRECTION

    static final java.lang.String CHOICE_SORT_DIRECTION

See Also:
  Constant Field Values

### SORT_DIRECTION_ASC

    static final java.lang.String SORT_DIRECTION_ASC

See Also:
  Constant Field Values

### SORT_DIRECTION_DESC

    static final java.lang.String SORT_DIRECTION_DESC

See Also:
  Constant Field Values

### CHOICE_MAP_OPERATOR

    static final java.lang.String CHOICE_MAP_OPERATOR

See Also:
  Constant Field Values

### MAP_OPERATOR_EQ

    static final java.lang.String MAP_OPERATOR_EQ

See Also:
  Constant Field Values

### MAP_OPERATOR_NE

    static final java.lang.String MAP_OPERATOR_NE

See Also:
  Constant Field Values

### MAP_OPERATOR_LT

    static final java.lang.String MAP_OPERATOR_LT

See Also:
  Constant Field Values

### MAP_OPERATOR_LE

    static final java.lang.String MAP_OPERATOR_LE

See Also:
  Constant Field Values

### MAP_OPERATOR_GE

    static final java.lang.String MAP_OPERATOR_GE

See Also:
  Constant Field Values

### MAP_OPERATOR_GT

    static final java.lang.String MAP_OPERATOR_GT

See Also:
  Constant Field Values

### MAP_OPERATOR_BETWEEN

    static final java.lang.String MAP_OPERATOR_BETWEEN

See Also:
  Constant Field Values

### MAP_OPERATOR_NOT_BETWEEN

    static final java.lang.String MAP_OPERATOR_NOT_BETWEEN

See Also:
  Constant Field Values

### MAP_OPERATOR_NULL

    static final java.lang.String MAP_OPERATOR_NULL

See Also:
  Constant Field Values

### MAP_OPERATOR_NOT_NULL

    static final java.lang.String MAP_OPERATOR_NOT_NULL

See Also:
  Constant Field Values

### MAP_OPERATOR_TRUE

    static final java.lang.String MAP_OPERATOR_TRUE

See Also:
  Constant Field Values

### MAP_OPERATOR_FALSE

    static final java.lang.String MAP_OPERATOR_FALSE

See Also:
  Constant Field Values

### MAP_OPERATOR_LIKE

    static final java.lang.String MAP_OPERATOR_LIKE

See Also:
  Constant Field Values

### MAP_OPERATOR_MATCH

    static final java.lang.String MAP_OPERATOR_MATCH

See Also:
  Constant Field Values

### MAP_OPERATOR_TOP_N

    static final java.lang.String MAP_OPERATOR_TOP_N

See Also:
  Constant Field Values

### MAP_OPERATOR_BOTTOM_N

    static final java.lang.String MAP_OPERATOR_BOTTOM_N

See Also:
  Constant Field Values

### MAP_OPERATOR_TOP_PERCENT

    static final java.lang.String MAP_OPERATOR_TOP_PERCENT

See Also:
  Constant Field Values

### MAP_OPERATOR_BOTTOM_PERCENT

    static final java.lang.String MAP_OPERATOR_BOTTOM_PERCENT

See Also:
  Constant Field Values

### MAP_OPERATOR_NOT_LIKE

    static final java.lang.String MAP_OPERATOR_NOT_LIKE

See Also:
  Constant Field Values

### MAP_OPERATOR_NOT_MATCH

    static final java.lang.String MAP_OPERATOR_NOT_MATCH

See Also:
  Constant Field Values

### MAP_OPERATOR_ANY

    static final java.lang.String MAP_OPERATOR_ANY

See Also:
  Constant Field Values

### MAP_OPERATOR_NOT_IN

    static final java.lang.String MAP_OPERATOR_NOT_IN

See Also:
  Constant Field Values

### MAP_OPERATOR_IN

    static final java.lang.String MAP_OPERATOR_IN

See Also:
  Constant Field Values

### CHOICE_IMAGE_SIZE

    static final java.lang.String CHOICE_IMAGE_SIZE

See Also:
  Constant Field Values

### IMAGE_SIZE_SIZE_TO_IMAGE

    static final java.lang.String IMAGE_SIZE_SIZE_TO_IMAGE

See Also:
  Constant Field Values

### IMAGE_SIZE_SCALE_TO_ITEM

    static final java.lang.String IMAGE_SIZE_SCALE_TO_ITEM

See Also:
  Constant Field Values

### IMAGE_SIZE_CLIP

    static final java.lang.String IMAGE_SIZE_CLIP

See Also:
  Constant Field Values

### CHOICE_LINE_ORIENTATION

    static final java.lang.String CHOICE_LINE_ORIENTATION

See Also:
  Constant Field Values

### LINE_ORIENTATION_HORIZONTAL

    static final java.lang.String LINE_ORIENTATION_HORIZONTAL

See Also:
  Constant Field Values

### LINE_ORIENTATION_VERTICAL

    static final java.lang.String LINE_ORIENTATION_VERTICAL

See Also:
  Constant Field Values

### CHOICE_SECTION_ALIGN

    static final java.lang.String CHOICE_SECTION_ALIGN

See Also:
  Constant Field Values

### SECTION_ALIGN_LEFT

    static final java.lang.String SECTION_ALIGN_LEFT

See Also:
  Constant Field Values

### SECTION_ALIGN_CENTER

    static final java.lang.String SECTION_ALIGN_CENTER

See Also:
  Constant Field Values

### SECTION_ALIGN_RIGHT

    static final java.lang.String SECTION_ALIGN_RIGHT

See Also:
  Constant Field Values

### CHOICE_DROP_TYPE

    static final java.lang.String CHOICE_DROP_TYPE

See Also:
  Constant Field Values

### DROP_TYPE_NONE

    static final java.lang.String DROP_TYPE_NONE

See Also:
  Constant Field Values

### DROP_TYPE_DETAIL

    static final java.lang.String DROP_TYPE_DETAIL

See Also:
  Constant Field Values

### DROP_TYPE_ALL

    static final java.lang.String DROP_TYPE_ALL

See Also:
  Constant Field Values

### CHOICE_IMAGE_TYPE

    static final java.lang.String CHOICE_IMAGE_TYPE

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_BMP

    static final java.lang.String IMAGE_TYPE_IMAGE_BMP

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_GIF

    static final java.lang.String IMAGE_TYPE_IMAGE_GIF

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_PNG

    static final java.lang.String IMAGE_TYPE_IMAGE_PNG

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_X_PNG

    static final java.lang.String IMAGE_TYPE_IMAGE_X_PNG

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_JPEG

    static final java.lang.String IMAGE_TYPE_IMAGE_JPEG

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_ICO

    static final java.lang.String IMAGE_TYPE_IMAGE_ICO

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_TIFF

    static final java.lang.String IMAGE_TYPE_IMAGE_TIFF

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_SVG

    static final java.lang.String IMAGE_TYPE_IMAGE_SVG

See Also:
  Constant Field Values

### IMAGE_TYPE_IMAGE_X_ICON

    static final java.lang.String IMAGE_TYPE_IMAGE_X_ICON

See Also:
  Constant Field Values

### CHOICE_LINE_SPACING

    static final java.lang.String CHOICE_LINE_SPACING

See Also:
  Constant Field Values

### LINE_SPACING_LINES

    static final java.lang.String LINE_SPACING_LINES

See Also:
  Constant Field Values

### LINE_SPACING_EXACT

    static final java.lang.String LINE_SPACING_EXACT

See Also:
  Constant Field Values

### CHOICE_ACTION_LINK_TYPE

    static final java.lang.String CHOICE_ACTION_LINK_TYPE

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_NONE

    static final java.lang.String ACTION_LINK_TYPE_NONE

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_HYPERLINK

    static final java.lang.String ACTION_LINK_TYPE_HYPERLINK

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_DRILL_THROUGH

    static final java.lang.String ACTION_LINK_TYPE_DRILL_THROUGH

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_BOOKMARK_LINK

    static final java.lang.String ACTION_LINK_TYPE_BOOKMARK_LINK

See Also:
  Constant Field Values

### CHOICE_ACTION_FORMAT_TYPE

    static final java.lang.String CHOICE_ACTION_FORMAT_TYPE

See Also:
  Constant Field Values

### ACTION_FORMAT_TYPE_HTML

    static final java.lang.String ACTION_FORMAT_TYPE_HTML

See Also:
  Constant Field Values

### ACTION_FORMAT_TYPE_PDF

    static final java.lang.String ACTION_FORMAT_TYPE_PDF

See Also:
  Constant Field Values

### CHOICE_TEXT_CONTENT_TYPE

    static final java.lang.String CHOICE_TEXT_CONTENT_TYPE

See Also:
  Constant Field Values

### TEXT_CONTENT_TYPE_AUTO

    static final java.lang.String TEXT_CONTENT_TYPE_AUTO

See Also:
  Constant Field Values

### TEXT_CONTENT_TYPE_PLAIN

    static final java.lang.String TEXT_CONTENT_TYPE_PLAIN

See Also:
  Constant Field Values

### TEXT_CONTENT_TYPE_HTML

    static final java.lang.String TEXT_CONTENT_TYPE_HTML

See Also:
  Constant Field Values

### TEXT_CONTENT_TYPE_RTF

    static final java.lang.String TEXT_CONTENT_TYPE_RTF

See Also:
  Constant Field Values

### CHOICE_TEXT_DATA_CONTENT_TYPE

    static final java.lang.String CHOICE_TEXT_DATA_CONTENT_TYPE

See Also:
  Constant Field Values

### TEXT_DATA_CONTENT_TYPE_AUTO

    static final java.lang.String TEXT_DATA_CONTENT_TYPE_AUTO

See Also:
  Constant Field Values

### TEXT_DATA_CONTENT_TYPE_PLAIN

    static final java.lang.String TEXT_DATA_CONTENT_TYPE_PLAIN

See Also:
  Constant Field Values

### TEXT_DATA_CONTENT_TYPE_HTML

    static final java.lang.String TEXT_DATA_CONTENT_TYPE_HTML

See Also:
  Constant Field Values

### TEXT_DATA_CONTENT_TYPE_RTF

    static final java.lang.String TEXT_DATA_CONTENT_TYPE_RTF

See Also:
  Constant Field Values

### CHOICE_OPRHANS

    static final java.lang.String CHOICE_OPRHANS

See Also:
  Constant Field Values

### ORPHANS_INHERIT

    static final java.lang.String ORPHANS_INHERIT

See Also:
  Constant Field Values

### CHOICE_WIDOWS

    static final java.lang.String CHOICE_WIDOWS

See Also:
  Constant Field Values

### WIDOWS_INHERIT

    static final java.lang.String WIDOWS_INHERIT

See Also:
  Constant Field Values

### CHOICE_FORMAT_TYPE

    static final java.lang.String CHOICE_FORMAT_TYPE

  FormatType -- The target output format. The first constant is the name of FormatType choice. The followed constants are valid choice values of FormatType.

  See Also:
    Constant Field Values

### FORMAT_TYPE_ALL

    static final java.lang.String FORMAT_TYPE_ALL

See Also:
  Constant Field Values

### FORMAT_TYPE_VIEWER

    static final java.lang.String FORMAT_TYPE_VIEWER

See Also:
  Constant Field Values

### FORMAT_TYPE_EMAIL

    static final java.lang.String FORMAT_TYPE_EMAIL

See Also:
  Constant Field Values

### FORMAT_TYPE_PRINT

    static final java.lang.String FORMAT_TYPE_PRINT

See Also:
  Constant Field Values

### FORMAT_TYPE_PDF

    static final java.lang.String FORMAT_TYPE_PDF

See Also:
  Constant Field Values

### FORMAT_TYPE_RTF

    static final java.lang.String FORMAT_TYPE_RTF

See Also:
  Constant Field Values

### FORMAT_TYPE_REPORTLET

    static final java.lang.String FORMAT_TYPE_REPORTLET

See Also:
  Constant Field Values

### FORMAT_TYPE_EXCEL

    static final java.lang.String FORMAT_TYPE_EXCEL

See Also:
  Constant Field Values

### FORMAT_TYPE_WORD

    static final java.lang.String FORMAT_TYPE_WORD

See Also:
  Constant Field Values

### FORMAT_TYPE_POWERPOINT

    static final java.lang.String FORMAT_TYPE_POWERPOINT

See Also:
  Constant Field Values

### FORMAT_TYPE_DOC

    static final java.lang.String FORMAT_TYPE_DOC

See Also:
  Constant Field Values

### CHOICE_IMAGE_REF_TYPE

    static final java.lang.String CHOICE_IMAGE_REF_TYPE

  ImageRefType -- The image reference type. The first constant is the name of ImageRefType choice. The followed constants are valid choice values of ImageRefType.

  See Also:
    Constant Field Values

### IMAGE_REF_TYPE_NONE

    static final java.lang.String IMAGE_REF_TYPE_NONE

See Also:
  Constant Field Values

### IMAGE_REF_TYPE_FILE

    static final java.lang.String IMAGE_REF_TYPE_FILE

See Also:
  Constant Field Values

### IMAGE_REF_TYPE_URL

    static final java.lang.String IMAGE_REF_TYPE_URL

See Also:
  Constant Field Values

### IMAGE_REF_TYPE_EXPR

    static final java.lang.String IMAGE_REF_TYPE_EXPR

See Also:
  Constant Field Values

### IMAGE_REF_TYPE_EMBED

    static final java.lang.String IMAGE_REF_TYPE_EMBED

See Also:
  Constant Field Values

### CHOICE_PROPERTY_MASK_TYPE

    static final java.lang.String CHOICE_PROPERTY_MASK_TYPE

  propertyMaskType -- The choice for the property mask. The first constant is the name of propertyMaskType choice. The followed constants are valid choice values of propertyMaskType.

  See Also:
    Constant Field Values

### PROPERTY_MASK_TYPE_CHANGE

    static final java.lang.String PROPERTY_MASK_TYPE_CHANGE

See Also:
  Constant Field Values

### PROPERTY_MASK_TYPE_LOCK

    static final java.lang.String PROPERTY_MASK_TYPE_LOCK

See Also:
  Constant Field Values

### PROPERTY_MASK_TYPE_HIDE

    static final java.lang.String PROPERTY_MASK_TYPE_HIDE

See Also:
  Constant Field Values

### CHOICE_SCALAR_PARAM_ALIGN

    static final java.lang.String CHOICE_SCALAR_PARAM_ALIGN

  scalarParamAlign -- The choice for the scalarParamter alignment. The first constant is the name of scalarParamAlign choice. The followed constants are valid choice values of scalarParamAlign.

  See Also:
    Constant Field Values

### SCALAR_PARAM_ALIGN_AUTO

    static final java.lang.String SCALAR_PARAM_ALIGN_AUTO

See Also:
  Constant Field Values

### SCALAR_PARAM_ALIGN_LEFT

    static final java.lang.String SCALAR_PARAM_ALIGN_LEFT

See Also:
  Constant Field Values

### SCALAR_PARAM_ALIGN_CENTER

    static final java.lang.String SCALAR_PARAM_ALIGN_CENTER

See Also:
  Constant Field Values

### SCALAR_PARAM_ALIGN_RIGHT

    static final java.lang.String SCALAR_PARAM_ALIGN_RIGHT

See Also:
  Constant Field Values

### CHOICE_COLUMN_DATA_TYPE

    static final java.lang.String CHOICE_COLUMN_DATA_TYPE

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_ANY

    static final java.lang.String COLUMN_DATA_TYPE_ANY

  Deprecated. this choice is removed since 2.3
  See Also:
    Constant Field Values

### COLUMN_DATA_TYPE_INTEGER

    static final java.lang.String COLUMN_DATA_TYPE_INTEGER

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_STRING

    static final java.lang.String COLUMN_DATA_TYPE_STRING

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_DATETIME

    static final java.lang.String COLUMN_DATA_TYPE_DATETIME

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_DECIMAL

    static final java.lang.String COLUMN_DATA_TYPE_DECIMAL

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_FLOAT

    static final java.lang.String COLUMN_DATA_TYPE_FLOAT

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_BOOLEAN

    static final java.lang.String COLUMN_DATA_TYPE_BOOLEAN

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_DATE

    static final java.lang.String COLUMN_DATA_TYPE_DATE

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_TIME

    static final java.lang.String COLUMN_DATA_TYPE_TIME

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_BLOB

    static final java.lang.String COLUMN_DATA_TYPE_BLOB

See Also:
  Constant Field Values

### COLUMN_DATA_TYPE_JAVA_OBJECT

    static final java.lang.String COLUMN_DATA_TYPE_JAVA_OBJECT

See Also:
  Constant Field Values

### CHOICE_SEARCH_TYPE

    static final java.lang.String CHOICE_SEARCH_TYPE

  searchType -- The search type for column hint The first constant is the name of searchType choice. The followed constants are valid choice values of searchType.

  See Also:
    Constant Field Values

### SEARCH_TYPE_ANY

    static final java.lang.String SEARCH_TYPE_ANY

See Also:
  Constant Field Values

### SEARCH_TYPE_INDEXED

    static final java.lang.String SEARCH_TYPE_INDEXED

See Also:
  Constant Field Values

### SEARCH_TYPE_NONE

    static final java.lang.String SEARCH_TYPE_NONE

See Also:
  Constant Field Values

### CHOICE_EXPORT_TYPE

    static final java.lang.String CHOICE_EXPORT_TYPE

  exportType -- The export type for column hint The first constant is the name of exportType choice. The followed constants are valid choice values of exportType.

  See Also:
    Constant Field Values

### EXPORT_TYPE_NONE

    static final java.lang.String EXPORT_TYPE_NONE

See Also:
  Constant Field Values

### EXPORT_TYPE_IF_REALIZED

    static final java.lang.String EXPORT_TYPE_IF_REALIZED

See Also:
  Constant Field Values

### EXPORT_TYPE_ALWAYS

    static final java.lang.String EXPORT_TYPE_ALWAYS

See Also:
  Constant Field Values

### CHOICE_ANALYSIS_TYPE

    static final java.lang.String CHOICE_ANALYSIS_TYPE

  analysisType -- The analysis type for column hint The first constant is the name of analysisType choice. The followed constants are valid choice values of analysisType.

  See Also:
    Constant Field Values

### ANALYSIS_TYPE_AUTO

    static final java.lang.String ANALYSIS_TYPE_AUTO

  Deprecated. in 2.5.1: this choice is not supported
  See Also:
    Constant Field Values

### ANALYSIS_TYPE_DIMENSION

    static final java.lang.String ANALYSIS_TYPE_DIMENSION

See Also:
  Constant Field Values

### ANALYSIS_TYPE_ATTRIBUTE

    static final java.lang.String ANALYSIS_TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### ANALYSIS_TYPE_MEASURE

    static final java.lang.String ANALYSIS_TYPE_MEASURE

See Also:
  Constant Field Values

### ANALYSIS_TYPE_DETAIL

    static final java.lang.String ANALYSIS_TYPE_DETAIL

  Deprecated. in 2.5.1: this choice is not supported
  See Also:
    Constant Field Values

### ANALYSIS_TYPE_NONE

    static final java.lang.String ANALYSIS_TYPE_NONE

  Deprecated. in 2.5.1: this choice is not supported
  See Also:
    Constant Field Values

### CHOICE_FILTER_OPERATOR

    static final java.lang.String CHOICE_FILTER_OPERATOR

  filterOperator -- The filter operator for filter condition The first constant is the name of filterOperator choice. The followed constants are valid choice values of filterOperator.

  See Also:
    Constant Field Values

### FILTER_OPERATOR_EQ

    static final java.lang.String FILTER_OPERATOR_EQ

See Also:
  Constant Field Values

### FILTER_OPERATOR_NE

    static final java.lang.String FILTER_OPERATOR_NE

See Also:
  Constant Field Values

### FILTER_OPERATOR_LT

    static final java.lang.String FILTER_OPERATOR_LT

See Also:
  Constant Field Values

### FILTER_OPERATOR_LE

    static final java.lang.String FILTER_OPERATOR_LE

See Also:
  Constant Field Values

### FILTER_OPERATOR_GE

    static final java.lang.String FILTER_OPERATOR_GE

See Also:
  Constant Field Values

### FILTER_OPERATOR_GT

    static final java.lang.String FILTER_OPERATOR_GT

See Also:
  Constant Field Values

### FILTER_OPERATOR_BETWEEN

    static final java.lang.String FILTER_OPERATOR_BETWEEN

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_BETWEEN

    static final java.lang.String FILTER_OPERATOR_NOT_BETWEEN

See Also:
  Constant Field Values

### FILTER_OPERATOR_NULL

    static final java.lang.String FILTER_OPERATOR_NULL

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_NULL

    static final java.lang.String FILTER_OPERATOR_NOT_NULL

See Also:
  Constant Field Values

### FILTER_OPERATOR_TRUE

    static final java.lang.String FILTER_OPERATOR_TRUE

See Also:
  Constant Field Values

### FILTER_OPERATOR_FALSE

    static final java.lang.String FILTER_OPERATOR_FALSE

See Also:
  Constant Field Values

### FILTER_OPERATOR_LIKE

    static final java.lang.String FILTER_OPERATOR_LIKE

See Also:
  Constant Field Values

### FILTER_OPERATOR_TOP_N

    static final java.lang.String FILTER_OPERATOR_TOP_N

See Also:
  Constant Field Values

### FILTER_OPERATOR_BOTTOM_N

    static final java.lang.String FILTER_OPERATOR_BOTTOM_N

See Also:
  Constant Field Values

### FILTER_OPERATOR_TOP_PERCENT

    static final java.lang.String FILTER_OPERATOR_TOP_PERCENT

See Also:
  Constant Field Values

### FILTER_OPERATOR_BOTTOM_PERCENT

    static final java.lang.String FILTER_OPERATOR_BOTTOM_PERCENT

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_IN

    static final java.lang.String FILTER_OPERATOR_NOT_IN

See Also:
  Constant Field Values

### FILTER_OPERATOR_ANY

    static final java.lang.String FILTER_OPERATOR_ANY

  Deprecated. in BIRT 2.1. This operator is not supported.
  See Also:
    Constant Field Values

### FILTER_OPERATOR_MATCH

    static final java.lang.String FILTER_OPERATOR_MATCH

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_LIKE

    static final java.lang.String FILTER_OPERATOR_NOT_LIKE

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_MATCH

    static final java.lang.String FILTER_OPERATOR_NOT_MATCH

See Also:
  Constant Field Values

### FILTER_OPERATOR_IN

    static final java.lang.String FILTER_OPERATOR_IN

See Also:
  Constant Field Values

### CHOICE_COLUMN_ALIGN

    static final java.lang.String CHOICE_COLUMN_ALIGN

  columnAlign -- The column alignment The first constant is the name of columnAlign choice. The followed constants are valid choice values of columnAlign.

  See Also:
    Constant Field Values

### COLUMN_ALIGN_LEFT

    static final java.lang.String COLUMN_ALIGN_LEFT

See Also:
  Constant Field Values

### COLUMN_ALIGN_CENTER

    static final java.lang.String COLUMN_ALIGN_CENTER

See Also:
  Constant Field Values

### COLUMN_ALIGN_RIGHT

    static final java.lang.String COLUMN_ALIGN_RIGHT

See Also:
  Constant Field Values

### CHOICE_QUERY_CHOICE_TYPE

    static final java.lang.String CHOICE_QUERY_CHOICE_TYPE

  queryFrom -- Where the query is from The first constant is the name of queryFrom choice. The followed constants are valid choice values of queryFrom.

  See Also:
    Constant Field Values

### QUERY_CHOICE_TYPE_NONE

    static final java.lang.String QUERY_CHOICE_TYPE_NONE

See Also:
  Constant Field Values

### QUERY_CHOICE_TYPE_TEXT

    static final java.lang.String QUERY_CHOICE_TYPE_TEXT

See Also:
  Constant Field Values

### QUERY_CHOICE_TYPE_SCRIPT

    static final java.lang.String QUERY_CHOICE_TYPE_SCRIPT

See Also:
  Constant Field Values

### CHOICE_NUMBER_FORMAT_TYPE

    static final java.lang.String CHOICE_NUMBER_FORMAT_TYPE

  numberFormat -- the number format The first constant is the name of numberFormat choice. The followed constants are valid choice values of numberFormat.

  See Also:
    Constant Field Values

### NUMBER_FORMAT_TYPE_UNFORMATTED

    static final java.lang.String NUMBER_FORMAT_TYPE_UNFORMATTED

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_GENERAL_NUMBER

    static final java.lang.String NUMBER_FORMAT_TYPE_GENERAL_NUMBER

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_CURRENCY

    static final java.lang.String NUMBER_FORMAT_TYPE_CURRENCY

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_FIXED

    static final java.lang.String NUMBER_FORMAT_TYPE_FIXED

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_PERCENT

    static final java.lang.String NUMBER_FORMAT_TYPE_PERCENT

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_SCIENTIFIC

    static final java.lang.String NUMBER_FORMAT_TYPE_SCIENTIFIC

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_STANDARD

    static final java.lang.String NUMBER_FORMAT_TYPE_STANDARD

See Also:
  Constant Field Values

### NUMBER_FORMAT_TYPE_CUSTOM

    static final java.lang.String NUMBER_FORMAT_TYPE_CUSTOM

See Also:
  Constant Field Values

### CHOICE_DATETIME_FORMAT_TYPE

    static final java.lang.String CHOICE_DATETIME_FORMAT_TYPE

  dateTimeFormat -- the date/time format The first constant is the name of dateTimeFormat choice. The followed constants are valid choice values of dateTimeFormat.

  See Also:
    Constant Field Values

### DATETIEM_FORMAT_TYPE_UNFORMATTED

    static final java.lang.String DATETIEM_FORMAT_TYPE_UNFORMATTED

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_GENERAL_DATE

    static final java.lang.String DATETIEM_FORMAT_TYPE_GENERAL_DATE

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_LONG_DATE

    static final java.lang.String DATETIEM_FORMAT_TYPE_LONG_DATE

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_MUDIUM_DATE

    static final java.lang.String DATETIEM_FORMAT_TYPE_MUDIUM_DATE

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_SHORT_DATE

    static final java.lang.String DATETIEM_FORMAT_TYPE_SHORT_DATE

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_LONG_TIME

    static final java.lang.String DATETIEM_FORMAT_TYPE_LONG_TIME

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_MEDIUM_TIME

    static final java.lang.String DATETIEM_FORMAT_TYPE_MEDIUM_TIME

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_SHORT_TIME

    static final java.lang.String DATETIEM_FORMAT_TYPE_SHORT_TIME

See Also:
  Constant Field Values

### DATETIEM_FORMAT_TYPE_CUSTOM

    static final java.lang.String DATETIEM_FORMAT_TYPE_CUSTOM

See Also:
  Constant Field Values

### CHOICE_DATE_FORMAT_TYPE

    static final java.lang.String CHOICE_DATE_FORMAT_TYPE

  dateFormat choice.

  See Also:
    Constant Field Values

### DATE_FORMAT_TYPE_UNFORMATTED

    static final java.lang.String DATE_FORMAT_TYPE_UNFORMATTED

See Also:
  Constant Field Values

### DATE_FORMAT_TYPE_GENERAL_DATE

    static final java.lang.String DATE_FORMAT_TYPE_GENERAL_DATE

See Also:
  Constant Field Values

### DATE_FORMAT_TYPE_LONG_DATE

    static final java.lang.String DATE_FORMAT_TYPE_LONG_DATE

See Also:
  Constant Field Values

### DATE_FORMAT_TYPE_MUDIUM_DATE

    static final java.lang.String DATE_FORMAT_TYPE_MUDIUM_DATE

See Also:
  Constant Field Values

### DATE_FORMAT_TYPE_SHORT_DATE

    static final java.lang.String DATE_FORMAT_TYPE_SHORT_DATE

See Also:
  Constant Field Values

### DATE_FORMAT_TYPE_CUSTOM

    static final java.lang.String DATE_FORMAT_TYPE_CUSTOM

See Also:
  Constant Field Values

### CHOICE_TIME_FORMAT_TYPE

    static final java.lang.String CHOICE_TIME_FORMAT_TYPE

  timeFormat choice

  See Also:
    Constant Field Values

### TIME_FORMAT_TYPE_LONG_TIME

    static final java.lang.String TIME_FORMAT_TYPE_LONG_TIME

See Also:
  Constant Field Values

### TIME_FORMAT_TYPE_MEDIUM_TIME

    static final java.lang.String TIME_FORMAT_TYPE_MEDIUM_TIME

See Also:
  Constant Field Values

### TIME_FORMAT_TYPE_SHORT_TIME

    static final java.lang.String TIME_FORMAT_TYPE_SHORT_TIME

See Also:
  Constant Field Values

### TIME_FORMAT_TYPE_CUSTOM

    static final java.lang.String TIME_FORMAT_TYPE_CUSTOM

See Also:
  Constant Field Values

### CHOICE_STRING_FORMAT_TYPE

    static final java.lang.String CHOICE_STRING_FORMAT_TYPE

  stringFormat -- the string format The first constant is the name of stringFormat choice. The followed constants are valid choice values of stringFormat.

  See Also:
    Constant Field Values

### STRING_FORMAT_TYPE_UNFORMATTED

    static final java.lang.String STRING_FORMAT_TYPE_UNFORMATTED

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_UPPERCASE

    static final java.lang.String STRING_FORMAT_TYPE_UPPERCASE

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_LOWERCASE

    static final java.lang.String STRING_FORMAT_TYPE_LOWERCASE

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_CUSTOM

    static final java.lang.String STRING_FORMAT_TYPE_CUSTOM

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_ZIP_CODE

    static final java.lang.String STRING_FORMAT_TYPE_ZIP_CODE

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_ZIP_CODE_4

    static final java.lang.String STRING_FORMAT_TYPE_ZIP_CODE_4

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_PHONE_NUMBER

    static final java.lang.String STRING_FORMAT_TYPE_PHONE_NUMBER

See Also:
  Constant Field Values

### STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER

    static final java.lang.String STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER

See Also:
  Constant Field Values

### CHOICE_TARGET_NAMES_TYPE

    static final java.lang.String CHOICE_TARGET_NAMES_TYPE

See Also:
  Constant Field Values

### TARGET_NAMES_TYPE_BLANK

    static final java.lang.String TARGET_NAMES_TYPE_BLANK

See Also:
  Constant Field Values

### TARGET_NAMES_TYPE_SELF

    static final java.lang.String TARGET_NAMES_TYPE_SELF

See Also:
  Constant Field Values

### TARGET_NAMES_TYPE_PARENT

    static final java.lang.String TARGET_NAMES_TYPE_PARENT

See Also:
  Constant Field Values

### TARGET_NAMES_TYPE_TOP

    static final java.lang.String TARGET_NAMES_TYPE_TOP

See Also:
  Constant Field Values

### CHOICE_TEMPLATE_ELEMENT_TYPE

    static final java.lang.String CHOICE_TEMPLATE_ELEMENT_TYPE

  templateElementType -- the template element type The first constant is the name of the templateElementType choice set. The followed constants are valid choice values of the templateElementType.

  See Also:
    Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TABLE

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_TABLE

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_FREEFORM

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_FREEFORM

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_DATA

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_DATA

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_GRID

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_GRID

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_IMAGE

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_IMAGE

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_LABEL

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_LABEL

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_LIST

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_LIST

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TEXT

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_TEXT

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TEXT_DATA

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_TEXT_DATA

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT_TYPE_DATA_SET

    static final java.lang.String TEMPLATE_ELEMENT_TYPE_DATA_SET

See Also:
  Constant Field Values

### CHOICE_SORT_TYPE

    static final java.lang.String CHOICE_SORT_TYPE

  sortType -- the sort type. The first constant is the name of the sortType choice set. The followed constants are valid choice values of the sortType.

  See Also:
    Constant Field Values

### SORT_TYPE_NONE

    static final java.lang.String SORT_TYPE_NONE

See Also:
  Constant Field Values

### SORT_TYPE_SORT_ON_GROUP_KEY

    static final java.lang.String SORT_TYPE_SORT_ON_GROUP_KEY

See Also:
  Constant Field Values

### SORT_TYPE_COMPLEX_SORT

    static final java.lang.String SORT_TYPE_COMPLEX_SORT

See Also:
  Constant Field Values

### CHOICE_JOIN_TYPE

    static final java.lang.String CHOICE_JOIN_TYPE

  joinType -- join type of join condition.

  See Also:
    Constant Field Values

### JOIN_TYPE_INNER

    static final java.lang.String JOIN_TYPE_INNER

See Also:
  Constant Field Values

### JOIN_TYPE_LEFT_OUT

    static final java.lang.String JOIN_TYPE_LEFT_OUT

See Also:
  Constant Field Values

### JOIN_TYPE_RIGHT_OUT

    static final java.lang.String JOIN_TYPE_RIGHT_OUT

See Also:
  Constant Field Values

### JOIN_TYPE_FULL_OUT

    static final java.lang.String JOIN_TYPE_FULL_OUT

See Also:
  Constant Field Values

### CHOICE_JOIN_OPERATOR

    static final java.lang.String CHOICE_JOIN_OPERATOR

  joinOperator -- join operator of join condition.

  See Also:
    Constant Field Values

### JOIN_OPERATOR_EQALS

    static final java.lang.String JOIN_OPERATOR_EQALS

See Also:
  Constant Field Values

### CHOICE_ACTION_TARGET_FILE_TYPE

    static final java.lang.String CHOICE_ACTION_TARGET_FILE_TYPE

  actionTargetFileType -- target type of the linked file

  See Also:
    Constant Field Values

### ACTION_TARGET_FILE_TYPE_REPORT_DESIGN

    static final java.lang.String ACTION_TARGET_FILE_TYPE_REPORT_DESIGN

See Also:
  Constant Field Values

### ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT

    static final java.lang.String ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT

See Also:
  Constant Field Values

### CHOICE_ACTION_BOOKMARK_TYPE

    static final java.lang.String CHOICE_ACTION_BOOKMARK_TYPE

  actionBookmarkType -- target bookmark type

  See Also:
    Constant Field Values

### ACTION_BOOKMARK_TYPE_BOOKMARK

    static final java.lang.String ACTION_BOOKMARK_TYPE_BOOKMARK

See Also:
  Constant Field Values

### ACTION_BOOKMARK_TYPE_TOC

    static final java.lang.String ACTION_BOOKMARK_TYPE_TOC

See Also:
  Constant Field Values

### CHOICE_AUTO_TEXT_TYPE

    static final java.lang.String CHOICE_AUTO_TEXT_TYPE

  autotextType -- type of auto text

  See Also:
    Constant Field Values

### AUTO_TEXT_PAGE_NUMBER

    static final java.lang.String AUTO_TEXT_PAGE_NUMBER

See Also:
  Constant Field Values

### AUTO_TEXT_TOTAL_PAGE

    static final java.lang.String AUTO_TEXT_TOTAL_PAGE

See Also:
  Constant Field Values

### AUTO_TEXT_PAGE_NUMBER_UNFILTERED

    static final java.lang.String AUTO_TEXT_PAGE_NUMBER_UNFILTERED

See Also:
  Constant Field Values

### AUTO_TEXT_TOTAL_PAGE_UNFILTERED

    static final java.lang.String AUTO_TEXT_TOTAL_PAGE_UNFILTERED

See Also:
  Constant Field Values

### AUTO_TEXT_PAGE_VARIABLE

    static final java.lang.String AUTO_TEXT_PAGE_VARIABLE

See Also:
  Constant Field Values

### CHOICE_DATA_SET_MODE_TYPE

    static final java.lang.String CHOICE_DATA_SET_MODE_TYPE

  dataSetMode -- the mode to support data sets. Can be single data set and

  See Also:
    Constant Field Values

### DATA_SET_MODE_SINGLE

    static final java.lang.String DATA_SET_MODE_SINGLE

See Also:
  Constant Field Values

### DATA_SET_MODE_MULTIPLE

    static final java.lang.String DATA_SET_MODE_MULTIPLE

See Also:
  Constant Field Values

### CHOICE_FILTER_TARGET

    static final java.lang.String CHOICE_FILTER_TARGET

  filterTarget -- filter target type.

  See Also:
    Constant Field Values

### FILTER_TARGET_DATA_SET

    static final java.lang.String FILTER_TARGET_DATA_SET

See Also:
  Constant Field Values

### FILTER_TARGET_RESULT_SET

    static final java.lang.String FILTER_TARGET_RESULT_SET

See Also:
  Constant Field Values

### CHOICE_VIEW_ACTION

    static final java.lang.String CHOICE_VIEW_ACTION

  View action --view action type.

  See Also:
    Constant Field Values

### VIEW_ACTION_NO_CHANGE

    static final java.lang.String VIEW_ACTION_NO_CHANGE

See Also:
  Constant Field Values

### VIEW_ACTION_CHANGED

    static final java.lang.String VIEW_ACTION_CHANGED

See Also:
  Constant Field Values

### VIEW_ACTION_ADDED

    static final java.lang.String VIEW_ACTION_ADDED

See Also:
  Constant Field Values

### VIEW_ACTION_DELETED

    static final java.lang.String VIEW_ACTION_DELETED

See Also:
  Constant Field Values

### CHOICE_AGGREGATION_FUNCTION

    static final java.lang.String CHOICE_AGGREGATION_FUNCTION

  measure Function -- measure function type.

  See Also:
    Constant Field Values

### AGGREGATION_FUNCTION_SUM

    static final java.lang.String AGGREGATION_FUNCTION_SUM

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_COUNT

    static final java.lang.String AGGREGATION_FUNCTION_COUNT

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MIN

    static final java.lang.String AGGREGATION_FUNCTION_MIN

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MAX

    static final java.lang.String AGGREGATION_FUNCTION_MAX

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_AVERAGE

    static final java.lang.String AGGREGATION_FUNCTION_AVERAGE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_WEIGHTEDAVG

    static final java.lang.String AGGREGATION_FUNCTION_WEIGHTEDAVG

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_STDDEV

    static final java.lang.String AGGREGATION_FUNCTION_STDDEV

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_FIRST

    static final java.lang.String AGGREGATION_FUNCTION_FIRST

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_LAST

    static final java.lang.String AGGREGATION_FUNCTION_LAST

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MODE

    static final java.lang.String AGGREGATION_FUNCTION_MODE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MOVINGAVE

    static final java.lang.String AGGREGATION_FUNCTION_MOVINGAVE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MEDIAN

    static final java.lang.String AGGREGATION_FUNCTION_MEDIAN

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_VARIANCE

    static final java.lang.String AGGREGATION_FUNCTION_VARIANCE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGSUM

    static final java.lang.String AGGREGATION_FUNCTION_RUNNINGSUM

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_IRR

    static final java.lang.String AGGREGATION_FUNCTION_IRR

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_MIRR

    static final java.lang.String AGGREGATION_FUNCTION_MIRR

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_NPV

    static final java.lang.String AGGREGATION_FUNCTION_NPV

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGNPV

    static final java.lang.String AGGREGATION_FUNCTION_RUNNINGNPV

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_COUNTDISTINCT

    static final java.lang.String AGGREGATION_FUNCTION_COUNTDISTINCT

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGCOUNT

    static final java.lang.String AGGREGATION_FUNCTION_RUNNINGCOUNT

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_IS_TOP_N

    static final java.lang.String AGGREGATION_FUNCTION_IS_TOP_N

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_IS_BOTTOM_N

    static final java.lang.String AGGREGATION_FUNCTION_IS_BOTTOM_N

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_IS_TOP_N_PERCENT

    static final java.lang.String AGGREGATION_FUNCTION_IS_TOP_N_PERCENT

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT

    static final java.lang.String AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_PERCENT_RANK

    static final java.lang.String AGGREGATION_FUNCTION_PERCENT_RANK

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_PERCENTILE

    static final java.lang.String AGGREGATION_FUNCTION_PERCENTILE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_TOP_QUARTILE

    static final java.lang.String AGGREGATION_FUNCTION_TOP_QUARTILE

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_PERCENT_SUM

    static final java.lang.String AGGREGATION_FUNCTION_PERCENT_SUM

See Also:
  Constant Field Values

### AGGREGATION_FUNCTION_RANK

    static final java.lang.String AGGREGATION_FUNCTION_RANK

See Also:
  Constant Field Values

### CHOICE_MEASURE_FUNCTION

    static final java.lang.String CHOICE_MEASURE_FUNCTION

  measure Function -- measure function type.

  See Also:
    Constant Field Values

### MEASURE_FUNCTION_SUM

    static final java.lang.String MEASURE_FUNCTION_SUM

See Also:
  Constant Field Values

### MEASURE_FUNCTION_COUNT

    static final java.lang.String MEASURE_FUNCTION_COUNT

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MIN

    static final java.lang.String MEASURE_FUNCTION_MIN

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MAX

    static final java.lang.String MEASURE_FUNCTION_MAX

See Also:
  Constant Field Values

### MEASURE_FUNCTION_AVERAGE

    static final java.lang.String MEASURE_FUNCTION_AVERAGE

See Also:
  Constant Field Values

### MEASURE_FUNCTION_WEIGHTEDAVG

    static final java.lang.String MEASURE_FUNCTION_WEIGHTEDAVG

See Also:
  Constant Field Values

### MEASURE_FUNCTION_STDDEV

    static final java.lang.String MEASURE_FUNCTION_STDDEV

See Also:
  Constant Field Values

### MEASURE_FUNCTION_FIRST

    static final java.lang.String MEASURE_FUNCTION_FIRST

See Also:
  Constant Field Values

### MEASURE_FUNCTION_LAST

    static final java.lang.String MEASURE_FUNCTION_LAST

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MODE

    static final java.lang.String MEASURE_FUNCTION_MODE

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MOVINGAVE

    static final java.lang.String MEASURE_FUNCTION_MOVINGAVE

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MEDIAN

    static final java.lang.String MEASURE_FUNCTION_MEDIAN

See Also:
  Constant Field Values

### MEASURE_FUNCTION_VARIANCE

    static final java.lang.String MEASURE_FUNCTION_VARIANCE

See Also:
  Constant Field Values

### MEASURE_FUNCTION_RUNNINGSUM

    static final java.lang.String MEASURE_FUNCTION_RUNNINGSUM

See Also:
  Constant Field Values

### MEASURE_FUNCTION_IRR

    static final java.lang.String MEASURE_FUNCTION_IRR

See Also:
  Constant Field Values

### MEASURE_FUNCTION_MIRR

    static final java.lang.String MEASURE_FUNCTION_MIRR

See Also:
  Constant Field Values

### MEASURE_FUNCTION_NPV

    static final java.lang.String MEASURE_FUNCTION_NPV

See Also:
  Constant Field Values

### MEASURE_FUNCTION_RUNNINGNPV

    static final java.lang.String MEASURE_FUNCTION_RUNNINGNPV

See Also:
  Constant Field Values

### MEASURE_FUNCTION_COUNTDISTINCT

    static final java.lang.String MEASURE_FUNCTION_COUNTDISTINCT

See Also:
  Constant Field Values

### MEASURE_FUNCTION_RUNNINGCOUNT

    static final java.lang.String MEASURE_FUNCTION_RUNNINGCOUNT

See Also:
  Constant Field Values

### CHOICE_LEVEL_TYPE

    static final java.lang.String CHOICE_LEVEL_TYPE

  Level type constants.

  See Also:
    Constant Field Values

### LEVEL_TYPE_DYNAMIC

    static final java.lang.String LEVEL_TYPE_DYNAMIC

See Also:
  Constant Field Values

### LEVEL_TYPE_MIRRORED

    static final java.lang.String LEVEL_TYPE_MIRRORED

See Also:
  Constant Field Values

### CHOICE_ACCESS_PERMISSION

    static final java.lang.String CHOICE_ACCESS_PERMISSION

  measure Function -- measure function type.

  See Also:
    Constant Field Values

### ACCESS_PERMISSION_ALLOW

    static final java.lang.String ACCESS_PERMISSION_ALLOW

See Also:
  Constant Field Values

### ACCESS_PERMISSION_DISALLOW

    static final java.lang.String ACCESS_PERMISSION_DISALLOW

See Also:
  Constant Field Values

### CHOICE_PARAM_SORT_VALUES

    static final java.lang.String CHOICE_PARAM_SORT_VALUES

  Parameter sort values -- can be value or display text.

  See Also:
    Constant Field Values

### PARAM_SORT_VALUES_VALUE

    static final java.lang.String PARAM_SORT_VALUES_VALUE

See Also:
  Constant Field Values

### PARAM_SORT_VALUES_LABEL

    static final java.lang.String PARAM_SORT_VALUES_LABEL

See Also:
  Constant Field Values

### CHOICE_REPORT_LAYOUT_PREFERENCE

    static final java.lang.String CHOICE_REPORT_LAYOUT_PREFERENCE

  Report layout preference -- layout type for report design.

  See Also:
    Constant Field Values

### REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT

    static final java.lang.String REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT

See Also:
  Constant Field Values

### REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT

    static final java.lang.String REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT

See Also:
  Constant Field Values

### CHOICE_DATE_TIME_LEVEL_TYPE

    static final java.lang.String CHOICE_DATE_TIME_LEVEL_TYPE

  Date time level type -- type for date-time cube level.

  See Also:
    Constant Field Values

### DATE_TIME_LEVEL_TYPE_YEAR

    static final java.lang.String DATE_TIME_LEVEL_TYPE_YEAR

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_MONTH

    static final java.lang.String DATE_TIME_LEVEL_TYPE_MONTH

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_QUARTER

    static final java.lang.String DATE_TIME_LEVEL_TYPE_QUARTER

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR

    static final java.lang.String DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH

    static final java.lang.String DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR

    static final java.lang.String DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH

    static final java.lang.String DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK

    static final java.lang.String DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_HOUR

    static final java.lang.String DATE_TIME_LEVEL_TYPE_HOUR

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_MINUTE

    static final java.lang.String DATE_TIME_LEVEL_TYPE_MINUTE

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_SECOND

    static final java.lang.String DATE_TIME_LEVEL_TYPE_SECOND

See Also:
  Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK

    static final java.lang.String DATE_TIME_LEVEL_TYPE_WEEK

  Deprecated. This is replaced by DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR and DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH, and not used anymore.
  See Also:
    Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY

    static final java.lang.String DATE_TIME_LEVEL_TYPE_DAY

  Deprecated. This is replaced by DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR, DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH and DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK, and not used anymore.
  See Also:
    Constant Field Values

### CHOICE_SCALAR_PARAM_TYPE

    static final java.lang.String CHOICE_SCALAR_PARAM_TYPE

  Scalar parameter type.

  See Also:
    Constant Field Values

### SCALAR_PARAM_TYPE_SIMPLE

    static final java.lang.String SCALAR_PARAM_TYPE_SIMPLE

See Also:
  Constant Field Values

### SCALAR_PARAM_TYPE_MULTI_VALUE

    static final java.lang.String SCALAR_PARAM_TYPE_MULTI_VALUE

See Also:
  Constant Field Values

### SCALAR_PARAM_TYPE_AD_HOC

    static final java.lang.String SCALAR_PARAM_TYPE_AD_HOC

See Also:
  Constant Field Values

### CHOICE_BIDI_DIRECTION

    static final java.lang.String CHOICE_BIDI_DIRECTION

  Choice constants for direction and orientation

  See Also:
    Constant Field Values

### BIDI_DIRECTION_RTL

    static final java.lang.String BIDI_DIRECTION_RTL

See Also:
  Constant Field Values

### BIDI_DIRECTION_LTR

    static final java.lang.String BIDI_DIRECTION_LTR

See Also:
  Constant Field Values

### CHOICE_SCOPE_TYPE

    static final java.lang.String CHOICE_SCOPE_TYPE

  Choice constants for scope type.

  See Also:
    Constant Field Values

### SCOPE_TYPE_ROW

    static final java.lang.String SCOPE_TYPE_ROW

See Also:
  Constant Field Values

### SCOPE_TYPE_COL

    static final java.lang.String SCOPE_TYPE_COL

See Also:
  Constant Field Values

### SCOPE_TYPE_ROWGROUP

    static final java.lang.String SCOPE_TYPE_ROWGROUP

See Also:
  Constant Field Values

### SCOPE_TYPE_COLGROUP

    static final java.lang.String SCOPE_TYPE_COLGROUP

See Also:
  Constant Field Values

### CHOICE_DYNAMIC_FILTER

    static final java.lang.String CHOICE_DYNAMIC_FILTER

See Also:
  Constant Field Values

### DYNAMIC_FILTER_SIMPLE

    static final java.lang.String DYNAMIC_FILTER_SIMPLE

See Also:
  Constant Field Values

### DYNAMIC_FILTER_ADVANCED

    static final java.lang.String DYNAMIC_FILTER_ADVANCED

See Also:
  Constant Field Values

### CHOICE_VARIABLE_TYPE

    static final java.lang.String CHOICE_VARIABLE_TYPE

  Choice constants for workMode.

  See Also:
    Constant Field Values

### VARIABLE_TYPE_REPORT

    static final java.lang.String VARIABLE_TYPE_REPORT

See Also:
  Constant Field Values

### VARIABLE_TYPE_PAGE

    static final java.lang.String VARIABLE_TYPE_PAGE

See Also:
  Constant Field Values

### CHOICE_NULL_VALUE_ORDERING_TYPE

    static final java.lang.String CHOICE_NULL_VALUE_ORDERING_TYPE

  Choice constants for nullValueOrderingType.

  See Also:
    Constant Field Values

### NULL_VALUE_ORDERING_TYPE_UNKNOWN

    static final java.lang.String NULL_VALUE_ORDERING_TYPE_UNKNOWN

See Also:
  Constant Field Values

### NULL_VALUE_ORDERING_TYPE_NULLISFIRST

    static final java.lang.String NULL_VALUE_ORDERING_TYPE_NULLISFIRST

See Also:
  Constant Field Values

### NULL_VALUE_ORDERING_TYPE_NULLISLAST

    static final java.lang.String NULL_VALUE_ORDERING_TYPE_NULLISLAST

See Also:
  Constant Field Values

### CHOICE_DATA_VERSION

    static final java.lang.String CHOICE_DATA_VERSION

  Choice constants for dataVersion.

  See Also:
    Constant Field Values

### DATA_VERSION_TRANSIENT

    static final java.lang.String DATA_VERSION_TRANSIENT

See Also:
  Constant Field Values

### DATA_VERSION_LATEST

    static final java.lang.String DATA_VERSION_LATEST

See Also:
  Constant Field Values

### CHOICE_DATA_SELECTOR_TYPE

    static final java.lang.String CHOICE_DATA_SELECTOR_TYPE

  Choice constants for dataSelector type.

  See Also:
    Constant Field Values

### DATA_SELECTOR_TYPE_LIST

    static final java.lang.String DATA_SELECTOR_TYPE_LIST

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_DROPDOWN

    static final java.lang.String DATA_SELECTOR_TYPE_DROPDOWN

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_SLIDER

    static final java.lang.String DATA_SELECTOR_TYPE_SLIDER

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_CHECK_BOX

    static final java.lang.String DATA_SELECTOR_TYPE_CHECK_BOX

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_RADIO_BUTTON

    static final java.lang.String DATA_SELECTOR_TYPE_RADIO_BUTTON

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_TEXT_BOX

    static final java.lang.String DATA_SELECTOR_TYPE_TEXT_BOX

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_CALENDAR

    static final java.lang.String DATA_SELECTOR_TYPE_CALENDAR

See Also:
  Constant Field Values

### DATA_SELECTOR_TYPE_CURRENT_SELECTIONS

    static final java.lang.String DATA_SELECTOR_TYPE_CURRENT_SELECTIONS

See Also:
  Constant Field Values

### CHOICE_THUMB_TYPE

    static final java.lang.String CHOICE_THUMB_TYPE

  Choice constants for thumb type.

  See Also:
    Constant Field Values

### THUMB_TYPE_SINGLE

    static final java.lang.String THUMB_TYPE_SINGLE

See Also:
  Constant Field Values

### THUMB_TYPE_DUAL

    static final java.lang.String THUMB_TYPE_DUAL

See Also:
  Constant Field Values

### CHOICE_ACCESS_TYPE

    static final java.lang.String CHOICE_ACCESS_TYPE

  Choice constants for access type.

  See Also:
    Constant Field Values

### ACCESS_TYPE_TRANSIENT

    static final java.lang.String ACCESS_TYPE_TRANSIENT

See Also:
  Constant Field Values

### ACCESS_TYPE_SPECIFIC_VERSION

    static final java.lang.String ACCESS_TYPE_SPECIFIC_VERSION

See Also:
  Constant Field Values

### ACCESS_TYPE_LATEST

    static final java.lang.String ACCESS_TYPE_LATEST

See Also:
  Constant Field Values

### CHOICE_OVERFLOW

    static final java.lang.String CHOICE_OVERFLOW

  Choice constants for overflow.

  See Also:
    Constant Field Values

### OVERFLOW_VISIBLE

    static final java.lang.String OVERFLOW_VISIBLE

See Also:
  Constant Field Values

### OVERFLOW_HIDDEN

    static final java.lang.String OVERFLOW_HIDDEN

See Also:
  Constant Field Values

### OVERFLOW_SCROLL

    static final java.lang.String OVERFLOW_SCROLL

See Also:
  Constant Field Values

### OVERFLOW_AUTO

    static final java.lang.String OVERFLOW_AUTO

See Also:
  Constant Field Values

### CHOICE_HTML_GADGET_CONTENT_TYPE

    static final java.lang.String CHOICE_HTML_GADGET_CONTENT_TYPE

  Deprecated. Use `CHOICE_GADGET_CONTENT_TYPE` instead.
  See Also:
    Constant Field Values

### HTML_GADGET_CONTENT_TYPE_HTML

    static final java.lang.String HTML_GADGET_CONTENT_TYPE_HTML

  Deprecated. Use `GADGET_CONTENT_TYPE_HTML` instead.
  See Also:
    Constant Field Values

### HTML_GADGET_CONTENT_TYPE_URL

    static final java.lang.String HTML_GADGET_CONTENT_TYPE_URL

  Deprecated. Use `GADGET_CONTENT_TYPE_URL` instead.
  See Also:
    Constant Field Values

### CHOICE_GADGET_CONTENT_TYPE

    static final java.lang.String CHOICE_GADGET_CONTENT_TYPE

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_HTML

    static final java.lang.String GADGET_CONTENT_TYPE_HTML

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_URL

    static final java.lang.String GADGET_CONTENT_TYPE_URL

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_VIDEO

    static final java.lang.String GADGET_CONTENT_TYPE_VIDEO

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_VIDEOURL

    static final java.lang.String GADGET_CONTENT_TYPE_VIDEOURL

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_TEXT

    static final java.lang.String GADGET_CONTENT_TYPE_TEXT

See Also:
  Constant Field Values

### GADGET_CONTENT_TYPE_IMAGE

    static final java.lang.String GADGET_CONTENT_TYPE_IMAGE

See Also:
  Constant Field Values

### CHOICE_WINDOW_STATUS

    static final java.lang.String CHOICE_WINDOW_STATUS

See Also:
  Constant Field Values

### WINDOW_STATUS_NORMAL

    static final java.lang.String WINDOW_STATUS_NORMAL

See Also:
  Constant Field Values

### WINDOW_STATUS_MAXIMIZED

    static final java.lang.String WINDOW_STATUS_MAXIMIZED

See Also:
  Constant Field Values

### CHOICE_REPORT_ITEM_THEME_TYPE

    static final java.lang.String CHOICE_REPORT_ITEM_THEME_TYPE

  Choice constants for reportItemThemeType.

  See Also:
    Constant Field Values

### REPORT_ITEM_THEME_TYPE_TABLE

    static final java.lang.String REPORT_ITEM_THEME_TYPE_TABLE

See Also:
  Constant Field Values

### REPORT_ITEM_THEME_TYPE_LIST

    static final java.lang.String REPORT_ITEM_THEME_TYPE_LIST

See Also:
  Constant Field Values

### REPORT_ITEM_THEME_TYPE_GRID

    static final java.lang.String REPORT_ITEM_THEME_TYPE_GRID

See Also:
  Constant Field Values

### CHOICE_NULLS_ORDERING

    static final java.lang.String CHOICE_NULLS_ORDERING

  Choice constants for nullsOrdering.

  See Also:
    Constant Field Values

### NULLS_ORDERING_NULLS_LOWEST

    static final java.lang.String NULLS_ORDERING_NULLS_LOWEST

See Also:
  Constant Field Values

### NULLS_ORDERING_NULLS_HIGHEST

    static final java.lang.String NULLS_ORDERING_NULLS_HIGHEST

See Also:
  Constant Field Values

### NULLS_ORDERING_EXCLUDE_NULLS

    static final java.lang.String NULLS_ORDERING_EXCLUDE_NULLS

See Also:
  Constant Field Values

### CHOICE_FILTER_CONDITION_TYPE

    static final java.lang.String CHOICE_FILTER_CONDITION_TYPE

See Also:
  Constant Field Values

### FILTER_CONDITION_TYPE_SLICER

    static final java.lang.String FILTER_CONDITION_TYPE_SLICER

See Also:
  Constant Field Values

### FILTER_CONDITION_TYPE_SIMPLE

    static final java.lang.String FILTER_CONDITION_TYPE_SIMPLE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.